-- Title: Results Database DDL Creation Script
-- Product: Rational Integration Tester
-- Target DBMS: IBM DB2

CREATE BUFFERPOOL "BP32"	IMMEDIATE
	ALL DBPARTITIONNUMS  SIZE AUTOMATIC
	NUMBLOCKPAGES 0
	PAGESIZE 32 K;

CREATE LARGE TABLESPACE "TS32"
	PAGESIZE 32 K
	MANAGED BY AUTOMATIC STORAGE
	AUTORESIZE YES
	EXTENTSIZE 32
	BUFFERPOOL "BP32"
	NO FILE SYSTEM CACHING;

CREATE SYSTEM TEMPORARY TABLESPACE "TEMPTS32"
	PAGESIZE 32 K
	MANAGED BY AUTOMATIC STORAGE
	EXTENTSIZE 32
	BUFFERPOOL "BP32"
	NO FILE SYSTEM CACHING;

CREATE TABLE "ACTION" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"UNIQUEID" VARCHAR(32) NOT NULL, 
		"APPMODELITEM_ID" DECIMAL(19 , 0) NOT NULL, 
		"ACTIONTYPE_ID" DECIMAL(19 , 0), 
		"DISPLAY" VARCHAR(128)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "ACTIONTYPE" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"UNIQUEID" VARCHAR(32) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "ACTION_EXECUTION" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"ACTION_ID" DECIMAL(19 , 0), 
		"PARENT_ID" DECIMAL(19 , 0), 
		"EXPECTED" BLOB(2147483647) INLINE LENGTH 312 NOT LOGGED, 
		"RECEIVED" BLOB(2147483647) INLINE LENGTH 312 NOT LOGGED, 
		"CONSOLE" BLOB(2147483647) INLINE LENGTH 312 NOT LOGGED
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "AGENT" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"URL" VARCHAR(100) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "APPMODELITEM" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"PARENT_ID" DECIMAL(19 , 0), 
		"APPMODELTYPE_ID" SMALLINT NOT NULL, 
		"PROJECT_ID" DECIMAL(19 , 0) NOT NULL, 
		"UNIQUEID" VARCHAR(255) NOT NULL, 
		"DISPLAY" VARCHAR(255), 
		"ARCHIVED" CHAR(1) DEFAULT 'N'
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "APPMODELTYPE" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"UNIQUEID" VARCHAR(64) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "BWACTIVITY_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"BWHOST_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"ACTIVITYNAME" VARCHAR(256) NOT NULL, 
		"PROCESSNAME" VARCHAR(256) NOT NULL, 
		"ACTIVITY_CLASS" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"EXECUTION_COUNT" DECIMAL(20 , 0), 
		"ERROR_COUNT" DECIMAL(20 , 0), 
		"ELAPSED_TIME" DECIMAL(20 , 0), 
		"EXECUTION_TIME" DECIMAL(20 , 0), 
		"MIN_ELAPSED" DECIMAL(20 , 0), 
		"MAX_ELAPSED" DECIMAL(20 , 0), 
		"MIN_EXEC" DECIMAL(20 , 0), 
		"MAX_EXEC" DECIMAL(20 , 0), 
		"AVERAGE_EXEC" DECIMAL(20 , 0), 
		"AVERAGE_ELAPSED" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "BWACTIVITY_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"BWACTIVITY_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"EXECUTION_COUNT" DECIMAL(20 , 0), 
		"ERROR_COUNT" DECIMAL(20 , 0), 
		"ELAPSED_TIME" DECIMAL(20 , 0), 
		"EXECUTION_TIME" DECIMAL(20 , 0), 
		"MIN_ELAPSED" DECIMAL(20 , 0), 
		"MAX_ELAPSED" DECIMAL(20 , 0), 
		"MIN_EXEC" DECIMAL(20 , 0), 
		"MAX_EXEC" DECIMAL(20 , 0), 
		"AVERAGE_EXEC" DECIMAL(20 , 0), 
		"AVERAGE_ELAPSED" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "BWHOST_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"HOSTNAME" VARCHAR(256) NOT NULL, 
		"INSTANCENAME" VARCHAR(256) NOT NULL, 
		"IPADDRESS" VARCHAR(256) NOT NULL, 
		"DOMAIN" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"NUMPROC" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "BWHOST_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"BWHOST_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"NUMPROC" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "BWPROC_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"BWHOST_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"PROCESSNAME" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"STARTERNAME" VARCHAR(256), 
		"CREATED" DECIMAL(20 , 0), 
		"SUSPENDED" DECIMAL(20 , 0), 
		"SWAPPED" DECIMAL(20 , 0), 
		"QUEUED" DECIMAL(20 , 0), 
		"ABORTED" DECIMAL(20 , 0), 
		"COMPLETED" DECIMAL(20 , 0), 
		"AVERAGE_EXEC" DECIMAL(20 , 0), 
		"AVERAGE_ELAPSED" DECIMAL(20 , 0), 
		"MIN_ELAPSED" DECIMAL(20 , 0), 
		"MAX_ELAPSED" DECIMAL(20 , 0), 
		"MIN_EXEC" DECIMAL(20 , 0), 
		"MAX_EXEC" DECIMAL(20 , 0), 
		"CREATION_RATE" DECIMAL(20 , 0), 
		"RUNNING" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "BWPROC_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"BWPROC_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"CREATED" DECIMAL(20 , 0), 
		"SUSPENDED" DECIMAL(20 , 0), 
		"SWAPPED" DECIMAL(20 , 0), 
		"QUEUED" DECIMAL(20 , 0), 
		"ABORTED" DECIMAL(20 , 0), 
		"COMPLETED" DECIMAL(20 , 0), 
		"AVERAGE_EXEC" DECIMAL(20 , 0), 
		"AVERAGE_ELAPSED" DECIMAL(20 , 0), 
		"MIN_ELAPSED" DECIMAL(20 , 0), 
		"MAX_ELAPSED" DECIMAL(20 , 0), 
		"MIN_EXEC" DECIMAL(20 , 0), 
		"MAX_EXEC" DECIMAL(20 , 0), 
		"CREATION_RATE" DECIMAL(20 , 0), 
		"RUNNING" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "COUNTER_DETAILS" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"NAME" VARCHAR(255) NOT NULL, 
		"TYPE" VARCHAR(20) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "COVERAGE" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"TYPE" VARCHAR(10) NOT NULL, 
		"BIN" BLOB(2147483647) INLINE LENGTH 312 NOT LOGGED
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "DB_DETAILS" (
		"CTIME" TIMESTAMP NOT NULL, 
		"PROPERTY" VARCHAR(100) NOT NULL, 
		"VALUE" VARCHAR(100) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "DETAIL_EXECUTION" (
		"APPMODELITEM_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"ACTION_EXECUTION_ID" DECIMAL(19 , 0), 
		"USERNAME" VARCHAR(50), 
		"HOSTNAME" VARCHAR(100), 
		"TOTAL_ITERATIONS" BIGINT, 
		"FAILED_ITERATIONS" VARCHAR(500), 
		"FAILED_COUNT" BIGINT
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "DQGROUP_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"DQNAME" VARCHAR(100) NOT NULL, 
		"GRP" VARCHAR(30) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"HOSTIP" VARCHAR(20) NOT NULL, 
		"HOSTNAME" VARCHAR(50) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "DQGROUP_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"DQGROUP_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"ACCEPTED" DECIMAL(20 , 0) NOT NULL, 
		"COMPLETED" DECIMAL(20 , 0) NOT NULL, 
		"REJECTED" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "DQMEMBER_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"DQGROUP_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"MEMBERTAG" VARCHAR(20) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"MEMBERID" VARCHAR(100) NOT NULL, 
		"HOSTIP" VARCHAR(20) NOT NULL, 
		"HOSTNAME" VARCHAR(50) NOT NULL, 
		"TYPE" VARCHAR(10) NOT NULL, 
		"WEIGHT" DECIMAL(20 , 0) NOT NULL, 
		"MAXTASKS" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "DQMEMBER_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"DQMEMBER_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"ACCEPTED" DECIMAL(20 , 0) NOT NULL, 
		"COMPLETED" DECIMAL(20 , 0) NOT NULL, 
		"REJECTED" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "DT" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"NAME" VARCHAR(50) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "DT_HISTORY" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"DT_ID" DECIMAL(19 , 0), 
		"AGENT_ID" DECIMAL(19 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EMS_QUEUE_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"EMS_SERVER_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"NAME" VARCHAR(100) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"ISTEMP" CHAR(1) NOT NULL, 
		"ISSTATIC" CHAR(1) NOT NULL, 
		"PMC" BIGINT NOT NULL, 
		"PMS" BIGINT NOT NULL, 
		"IMR" BIGINT NOT NULL, 
		"OMR" BIGINT NOT NULL, 
		"IBR" BIGINT NOT NULL, 
		"OBR" BIGINT NOT NULL, 
		"IMC" BIGINT NOT NULL, 
		"OMC" BIGINT NOT NULL, 
		"IBC" BIGINT NOT NULL, 
		"OBC" BIGINT NOT NULL, 
		"DMC" BIGINT NOT NULL, 
		"TMC" BIGINT NOT NULL, 
		"ARC" BIGINT NOT NULL, 
		"CC" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EMS_QUEUE_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"EMS_QUEUE_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"PMC" BIGINT NOT NULL, 
		"PMS" BIGINT NOT NULL, 
		"IMR" BIGINT NOT NULL, 
		"OMR" BIGINT NOT NULL, 
		"IBR" BIGINT NOT NULL, 
		"OBR" BIGINT NOT NULL, 
		"IMC" BIGINT NOT NULL, 
		"OMC" BIGINT NOT NULL, 
		"IBC" BIGINT NOT NULL, 
		"OBC" BIGINT NOT NULL, 
		"DMC" BIGINT NOT NULL, 
		"TMC" BIGINT NOT NULL, 
		"ARC" BIGINT NOT NULL, 
		"CC" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EMS_ROUTE_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"EMS_SERVER_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"REMOTESERVER" VARCHAR(100) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"REMOTEURL" VARCHAR(100) NOT NULL, 
		"ZONE" VARCHAR(100) NOT NULL, 
		"ZONETYPE" VARCHAR(20) NOT NULL, 
		"IMR" BIGINT NOT NULL, 
		"OMR" BIGINT NOT NULL, 
		"IBR" BIGINT NOT NULL, 
		"OBR" BIGINT NOT NULL, 
		"IMC" BIGINT NOT NULL, 
		"OMC" BIGINT NOT NULL, 
		"IBC" DECIMAL(19 , 0) NOT NULL, 
		"OBC" DECIMAL(19 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EMS_ROUTE_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"EMS_ROUTE_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"IMR" BIGINT NOT NULL, 
		"OMR" BIGINT NOT NULL, 
		"IBR" BIGINT NOT NULL, 
		"OBR" BIGINT NOT NULL, 
		"IMC" BIGINT NOT NULL, 
		"OMC" BIGINT NOT NULL, 
		"IBC" DECIMAL(19 , 0) NOT NULL, 
		"OBC" DECIMAL(19 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EMS_SERVER_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"BROKER" VARCHAR(50) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"STATUS" VARCHAR(10) NOT NULL, 
		"CFG" VARCHAR(50) NOT NULL, 
		"STRT" DECIMAL(20 , 0) NOT NULL, 
		"STATE" VARCHAR(20) NOT NULL, 
		"UP" BIGINT NOT NULL, 
		"URL" VARCHAR(20) NOT NULL, 
		"HOSTIP" VARCHAR(20) NOT NULL, 
		"VER" VARCHAR(20) NOT NULL, 
		"LIC" VARCHAR(20) NOT NULL, 
		"MAXCONN" BIGINT NOT NULL, 
		"ASM" BIGINT NOT NULL, 
		"MSGDSKRR" BIGINT NOT NULL, 
		"MSGDSKWR" BIGINT NOT NULL, 
		"MINASTORE" BIGINT NOT NULL, 
		"STOREDIR" VARCHAR(40) NOT NULL, 
		"MINSTORE" BIGINT NOT NULL, 
		"SYNCMGRSZ" BIGINT NOT NULL, 
		"FSYNC" CHAR(1) NOT NULL, 
		"TRUNC" CHAR(1) NOT NULL, 
		"FILTTYPE" VARCHAR(20) NOT NULL, 
		"FILTVAL" VARCHAR(20), 
		"TRACETARG" VARCHAR(20) NOT NULL, 
		"HBWAIT" BIGINT NOT NULL, 
		"SECREADFILES" CHAR(1) NOT NULL, 
		"HBMSGLEN" BIGINT NOT NULL, 
		"RECTIMEOUT" BIGINT NOT NULL, 
		"LOGMAXSZ" BIGINT NOT NULL, 
		"LOGFILE" VARCHAR(20), 
		"LOGSZ" VARCHAR(20) NOT NULL, 
		"LOGTRACE" VARCHAR(100) NOT NULL, 
		"CONTRACE" VARCHAR(100) NOT NULL, 
		"MAXMSGMEM" BIGINT NOT NULL, 
		"MAXSTATSMEM" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EMS_SERVER_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"EMS_SERVER_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"TOTALCONN" BIGINT NOT NULL, 
		"DURCONN" BIGINT NOT NULL, 
		"MSGMEM" BIGINT NOT NULL, 
		"MSGMEMPOOLED" BIGINT NOT NULL, 
		"OBR" BIGINT NOT NULL, 
		"IBR" BIGINT NOT NULL, 
		"OMR" BIGINT NOT NULL, 
		"OMC" BIGINT NOT NULL, 
		"IMR" BIGINT NOT NULL, 
		"IMC" BIGINT NOT NULL, 
		"PMC" BIGINT NOT NULL, 
		"PMS" BIGINT NOT NULL, 
		"QC" BIGINT NOT NULL, 
		"TC" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EMS_TOPIC_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"EMS_SERVER_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"NAME" VARCHAR(100) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"ISTEMP" CHAR(1) NOT NULL, 
		"ISSTATIC" CHAR(1) NOT NULL, 
		"PMC" BIGINT NOT NULL, 
		"PMS" BIGINT NOT NULL, 
		"IMR" BIGINT NOT NULL, 
		"OMR" BIGINT NOT NULL, 
		"IBR" BIGINT NOT NULL, 
		"OBR" BIGINT NOT NULL, 
		"IMC" BIGINT NOT NULL, 
		"OMC" BIGINT NOT NULL, 
		"IBC" BIGINT NOT NULL, 
		"OBC" BIGINT NOT NULL, 
		"DC" BIGINT NOT NULL, 
		"ADC" BIGINT NOT NULL, 
		"SC" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EMS_TOPIC_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"EMS_TOPIC_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"PMC" BIGINT NOT NULL, 
		"PMS" BIGINT NOT NULL, 
		"IMR" BIGINT NOT NULL, 
		"OMR" BIGINT NOT NULL, 
		"IBR" BIGINT NOT NULL, 
		"OBR" BIGINT NOT NULL, 
		"IMC" BIGINT NOT NULL, 
		"OMC" BIGINT NOT NULL, 
		"IBC" BIGINT NOT NULL, 
		"OBC" BIGINT NOT NULL, 
		"DC" BIGINT NOT NULL, 
		"ADC" BIGINT NOT NULL, 
		"SC" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EXECUTION" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"PARENT_ID" DECIMAL(19 , 0), 
		"START_TIME" DECIMAL(20 , 0) NOT NULL, 
		"END_TIME" DECIMAL(20 , 0), 
		"DURATION" DECIMAL(20 , 5), 
		"STATUS_ID" BIGINT, 
		"ROOT_ID" DECIMAL(19 , 0), 
		"ENVIRONMENT" DECIMAL(19 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EXECUTION_LABEL" (
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"LABEL" VARCHAR(4000) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EXECUTION_LOCK" (
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"PERSON_ID" DECIMAL(19 , 0) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "EXECUTION_NOTE" (
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"NOTE" CLOB(2147483647) INLINE LENGTH 312 NOT NULL NOT LOGGED
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "FLEX_COL" (
		"PK" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"METHOD" DECIMAL(19 , 0) NOT NULL, 
		"DATA" VARCHAR(255)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "FLEX_DOUBLE" (
		"PK" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"ROW_" DECIMAL(19 , 0) NOT NULL, 
		"EVENT" DECIMAL(19 , 0) NOT NULL, 
		"DATA" DOUBLE NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "FLEX_EVENT" (
		"PK" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"MILLIS_1970_UTC" DECIMAL(19 , 0) NOT NULL, 
		"INSTANCE" DECIMAL(19 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "FLEX_LONG" (
		"PK" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"ROW_" DECIMAL(19 , 0) NOT NULL, 
		"EVENT" DECIMAL(19 , 0) NOT NULL, 
		"DATA" DECIMAL(19 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "FLEX_METHOD" (
		"PK" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"TYPE" DECIMAL(19 , 0) NOT NULL, 
		"DATA" VARCHAR(255)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "FLEX_ROW" (
		"PK" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"COL" DECIMAL(19 , 0) NOT NULL, 
		"DATA" VARCHAR(255)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "FLEX_TYPE" (
		"PK" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"DATA" VARCHAR(255)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "ITER_HISTORY" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"DT_HIST_ID" DECIMAL(19 , 0), 
		"IT_NUM" BIGINT NOT NULL, 
		"TD_ROW_NUM" BIGINT NOT NULL, 
		"START_TIME" DECIMAL(20 , 0) NOT NULL, 
		"END_TIME" DECIMAL(20 , 0), 
		"DURATION" DECIMAL(20 , 0), 
		"RESULT" SMALLINT
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "LOGMEASUREMENT_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"ATTR_ID_1" DECIMAL(19 , 0), 
		"ATTR_VAL_1" VARCHAR(255), 
		"ATTR_ID_2" DECIMAL(19 , 0), 
		"ATTR_VAL_2" VARCHAR(255), 
		"ATTR_ID_3" DECIMAL(19 , 0), 
		"ATTR_VAL_3" VARCHAR(255), 
		"ATTR_ID_4" DECIMAL(19 , 0), 
		"ATTR_VAL_4" VARCHAR(255), 
		"ATTR_ID_5" DECIMAL(19 , 0), 
		"ATTR_VAL_5" VARCHAR(255)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "LOGMEASUREMENT_TS" (
		"IDX" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"LOGMEASUREMENT_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"CTR_ID_1" DECIMAL(19 , 0), 
		"CTR_VAL_1" DECIMAL(20 , 3), 
		"CTR_ID_2" DECIMAL(19 , 0), 
		"CTR_VAL_2" DECIMAL(20 , 3), 
		"CTR_ID_3" DECIMAL(19 , 0), 
		"CTR_VAL_3" DECIMAL(20 , 3), 
		"CTR_ID_4" DECIMAL(19 , 0), 
		"CTR_VAL_4" DECIMAL(20 , 3), 
		"CTR_ID_5" DECIMAL(19 , 0), 
		"CTR_VAL_5" DECIMAL(20 , 3), 
		"CTR_ID_6" DECIMAL(19 , 0), 
		"CTR_VAL_6" DECIMAL(20 , 3), 
		"CTR_ID_7" DECIMAL(19 , 0), 
		"CTR_VAL_7" DECIMAL(20 , 3), 
		"CTR_ID_8" DECIMAL(19 , 0), 
		"CTR_VAL_8" DECIMAL(20 , 3), 
		"STRCTR_ID_1" DECIMAL(19 , 0), 
		"STRCTR_VAL_1" VARCHAR(255), 
		"STRCTR_ID_2" DECIMAL(19 , 0), 
		"STRCTR_VAL_2" VARCHAR(255), 
		"STRCTR_ID_3" DECIMAL(19 , 0), 
		"STRCTR_VAL_3" VARCHAR(255), 
		"STRCTR_ID_4" DECIMAL(19 , 0), 
		"STRCTR_VAL_4" VARCHAR(255)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "PERFORM_CHARTS" (
		"CHART_NAME" VARCHAR(100) NOT NULL, 
		"PROJECT_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"DATA" CLOB(2147483647) INLINE LENGTH 312 NOT NULL NOT LOGGED, 
		"IMAGE1" BLOB(2147483647) INLINE LENGTH 312 NOT LOGGED, 
		"IMAGE2" BLOB(2147483647) INLINE LENGTH 312 NOT LOGGED
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "PERFORM_EXECUTION" (
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"ITERATIONS" DECIMAL(20 , 0), 
		"AVG_ITER_DUR" DECIMAL(20 , 0), 
		"MAX_ITER_DUR" DECIMAL(20 , 0), 
		"TRANSACTIONS" DECIMAL(20 , 0), 
		"AVG_TRANS_DUR" DECIMAL(20 , 0), 
		"MAX_TRANS_DUR" DECIMAL(20 , 0), 
		"APPMODELITEM_ID" DECIMAL(19 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "PERSON" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"USERNAME" VARCHAR(32) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "PROBE_CONFIG" (
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"CONFIG" CLOB(2147483647) INLINE LENGTH 312 NOT LOGGED
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "PROJECT" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"UNIQUEID" CHAR(36) NOT NULL, 
		"NAME" VARCHAR(255) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVHI_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"GRP" VARCHAR(30) NOT NULL, 
		"HOSTIP" VARCHAR(20) NOT NULL, 
		"HOSTNAME" VARCHAR(50) NOT NULL, 
		"SERVICE" VARCHAR(20) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"NETWORK" VARCHAR(20) NOT NULL, 
		"SN" BIGINT NOT NULL, 
		"OS" VARCHAR(20) NOT NULL, 
		"VER" VARCHAR(10) NOT NULL, 
		"HTTPADDR" VARCHAR(20) NOT NULL, 
		"HTTPPORT" BIGINT NOT NULL, 
		"UP" BIGINT NOT NULL, 
		"USERNAME" VARCHAR(30) NOT NULL, 
		"PROCESSID" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVHI_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"RVHI_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"MS" BIGINT NOT NULL, 
		"MR" BIGINT NOT NULL, 
		"PS" BIGINT NOT NULL, 
		"PR" BIGINT NOT NULL, 
		"BS" BIGINT NOT NULL, 
		"BR" BIGINT NOT NULL, 
		"RX" BIGINT NOT NULL, 
		"PM" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_MULTICAST_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"RVTRACE_NETWORK_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"SERVICE" VARCHAR(20) NOT NULL, 
		"HOSTIP" VARCHAR(20) NOT NULL, 
		"HOSTNAME" VARCHAR(50) NOT NULL, 
		"DESTINATION" VARCHAR(20) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_MULTICAST_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"RVTRACE_MULTICAST_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"PACKETS" BIGINT NOT NULL, 
		"BYTES" BIGINT NOT NULL, 
		"RTPACKETS" BIGINT NOT NULL, 
		"RTBYTES" BIGINT NOT NULL, 
		"NULLPACKETS" BIGINT NOT NULL, 
		"MISSEDPACKETS" BIGINT NOT NULL, 
		"BADPACKETS" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_NETWORK_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"NETWORKID" VARCHAR(20) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_NETWORK_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"RVTRACE_NETWORK_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"PACKETS" BIGINT NOT NULL, 
		"BYTES" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_PTP_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"RVTRACE_NETWORK_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"SERVICE" VARCHAR(20) NOT NULL, 
		"HOSTIP" VARCHAR(20) NOT NULL, 
		"HOSTNAME" VARCHAR(50) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_PTP_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"RVTRACE_PTP_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"PCKSSENT" BIGINT NOT NULL, 
		"BYTESSENT" BIGINT NOT NULL, 
		"ACKREQSENT" BIGINT NOT NULL, 
		"ACKSSENT" BIGINT NOT NULL, 
		"NACKSSENT" BIGINT NOT NULL, 
		"BADPCKSSENT" BIGINT NOT NULL, 
		"PCKSRCVD" BIGINT NOT NULL, 
		"BYTESRCVD" BIGINT NOT NULL, 
		"ACKREQRCVD" BIGINT NOT NULL, 
		"ACKSRCVD" BIGINT NOT NULL, 
		"NACKSRCVD" BIGINT NOT NULL, 
		"BADPCKSRCVD" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_RETRANS_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"RVTRACE_NETWORK_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"SERVICE" VARCHAR(20) NOT NULL, 
		"HOSTIP" VARCHAR(20) NOT NULL, 
		"HOSTNAME" VARCHAR(50) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_RETRANS_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"RVTRACE_RETRANS_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"PCKSSENT" BIGINT NOT NULL, 
		"SEQREQ" BIGINT NOT NULL, 
		"REJSENT" BIGINT NOT NULL, 
		"BADSENT" BIGINT NOT NULL, 
		"PCKSRCVD" BIGINT NOT NULL, 
		"SEQREQFROM" BIGINT NOT NULL, 
		"REJRCVD" BIGINT NOT NULL, 
		"BADRCVD" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_SUBJECT_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"RVTRACE_NETWORK_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"SERVICE" VARCHAR(20) NOT NULL, 
		"SUBJECT" VARCHAR(150) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "RVTRACE_SUBJECT_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"RVTRACE_SUBJECT_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"MESSAGES" BIGINT NOT NULL, 
		"BYTES" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SCENARIO" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"DISPLAY" VARCHAR(64) NOT NULL, 
		"UNIQUEID" VARCHAR(32) NOT NULL, 
		"APPMODELITEM_ID" DECIMAL(19 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SCENARIO_EXECUTION" (
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"SCENARIO_ID" DECIMAL(19 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SONIC_AGENT_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"DOMAIN" VARCHAR(256) NOT NULL, 
		"CONTAINER" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SONIC_AGENT_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"SONIC_AGENT_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"POOLWAITS" BIGINT, 
		"MAXPOOLSIZE" BIGINT, 
		"POOLSIZE" BIGINT, 
		"TOTALTHREADS" BIGINT, 
		"MAXMEMUSAGE" BIGINT, 
		"MEMUSAGE" BIGINT
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SONIC_BROKER_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"SONIC_AGENT_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"BROKER" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SONIC_BROKER_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"SONIC_BROKER_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"APPMSGRECEIVED" BIGINT, 
		"APPMSGDELIVERED" BIGINT, 
		"BYTESRECEIVED" BIGINT, 
		"BYTESDELIVERED" BIGINT, 
		"CONNSCOUNT" BIGINT, 
		"CONNSREJECT" BIGINT, 
		"TOPICSTORESIZE" BIGINT
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SONIC_CONNS_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"SONIC_AGENT_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"BROKER" VARCHAR(256) NOT NULL, 
		"CONN" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SONIC_CONNS_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"SONIC_CONNS_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"MSGRECEIVED" BIGINT, 
		"MSGDELIVERED" BIGINT
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SONIC_QUEUE_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"SONIC_AGENT_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"BROKER" VARCHAR(256) NOT NULL, 
		"QUEUE" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SONIC_QUEUE_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"SONIC_QUEUE_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"MSGDELIVERED" BIGINT, 
		"MSGRECEIVED" BIGINT, 
		"MAXDEPTH" BIGINT, 
		"MSGCOUNT" BIGINT, 
		"MSGSIZE" BIGINT
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "STATUS" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"DISPLAY" VARCHAR(10) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SUITE_EXECUTION" (
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"ACTION_EXECUTION_ID" DECIMAL(19 , 0), 
		"APPMODELITEM_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXPIRATION" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SYSSTAT_PROC_STATS_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"SYSSTAT_SYS_STATS_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"PROCESS_NAME" VARCHAR(256) NOT NULL, 
		"PROCESS_ID" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"PROCESS_CPU" DOUBLE, 
		"PROCESS_MEM" DOUBLE
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SYSSTAT_PROC_STATS_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"SYSSTAT_PROC_STATS_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"PROCESS_CPU" DOUBLE, 
		"PROCESS_MEM" DOUBLE
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SYSSTAT_SYS_STATS_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"HOSTNAME" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"AVG_CPU_LOAD" DOUBLE NOT NULL, 
		"CPU_LOAD_1" DOUBLE, 
		"CPU_LOAD_2" DOUBLE, 
		"CPU_LOAD_3" DOUBLE, 
		"CPU_LOAD_4" DOUBLE, 
		"CPU_LOAD_5" DOUBLE, 
		"CPU_LOAD_6" DOUBLE, 
		"CPU_LOAD_7" DOUBLE, 
		"CPU_LOAD_8" DOUBLE, 
		"USED_RAM" DOUBLE NOT NULL, 
		"DISK_BUSY" DOUBLE NOT NULL, 
		"NETWORK_USAGE" DOUBLE NOT NULL, 
		"NETWORK_ERRORS" DOUBLE NOT NULL, 
		"WAITING_THREADS" DOUBLE NOT NULL, 
		"MEMORY_SATURATION" DOUBLE NOT NULL, 
		"WAITING_DISK_OPS" DOUBLE NOT NULL, 
		"USED_SWAP" DOUBLE NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "SYSSTAT_SYS_STATS_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"SYSSTAT_SYS_STATS_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"AVG_CPU_LOAD" DOUBLE NOT NULL, 
		"CPU_LOAD_1" DOUBLE, 
		"CPU_LOAD_2" DOUBLE, 
		"CPU_LOAD_3" DOUBLE, 
		"CPU_LOAD_4" DOUBLE, 
		"CPU_LOAD_5" DOUBLE, 
		"CPU_LOAD_6" DOUBLE, 
		"CPU_LOAD_7" DOUBLE, 
		"CPU_LOAD_8" DOUBLE, 
		"USED_RAM" DOUBLE NOT NULL, 
		"DISK_BUSY" DOUBLE NOT NULL, 
		"NETWORK_USAGE" DOUBLE NOT NULL, 
		"NETWORK_ERRORS" DOUBLE NOT NULL, 
		"WAITING_THREADS" DOUBLE NOT NULL, 
		"MEMORY_SATURATION" DOUBLE NOT NULL, 
		"WAITING_DISK_OPS" DOUBLE NOT NULL, 
		"USED_SWAP" DOUBLE NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTENGINE_ENGINE_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"URL" VARCHAR(255) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTENGINE_ENGINE_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"TESTENGINE_ENGINE_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"DB_WRITES" BIGINT NOT NULL, 
		"THREAD_POOL_USAGE" DOUBLE NOT NULL, 
		"THREADS_USED" BIGINT NOT NULL, 
		"MEMORY_USAGE" DOUBLE NOT NULL, 
		"MEMORY_USED" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTENGINE_SEQ_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"TESTENGINE_ENGINE_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"SEQ_NAME" VARCHAR(255) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTENGINE_SEQ_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"TESTENGINE_SEQ_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"AVG_DURATION" DOUBLE NOT NULL, 
		"MAX_DURATION" BIGINT NOT NULL, 
		"MIN_DURATION" BIGINT NOT NULL, 
		"AVG_DURATION_FAIL" DOUBLE NOT NULL, 
		"MAX_DURATION_FAIL" BIGINT NOT NULL, 
		"MIN_DURATION_FAIL" BIGINT NOT NULL, 
		"RATE_STARTED" DOUBLE NOT NULL, 
		"RATE_COMPLETED" DOUBLE NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTENGINE_TRANS_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"TESTENGINE_ENGINE_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"TRANS_NAME" VARCHAR(255) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTENGINE_TRANS_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"TESTENGINE_TRANS_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"AVG_DURATION" DOUBLE NOT NULL, 
		"MAX_DURATION" DECIMAL(20 , 0) NOT NULL, 
		"MIN_DURATION" DECIMAL(20 , 0) NOT NULL, 
		"AVG_DURATION_FAIL" DOUBLE NOT NULL, 
		"MAX_DURATION_FAIL" DECIMAL(20 , 0) NOT NULL, 
		"MIN_DURATION_FAIL" DECIMAL(20 , 0) NOT NULL, 
		"RATE_STARTED" DOUBLE NOT NULL, 
		"RATE_PASSED" DOUBLE NOT NULL, 
		"RATE_FAILED" DOUBLE NOT NULL, 
		"RATE_TIMEOUT" DOUBLE NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTER_SEQ_END_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"APPMODELITEM_ID" DECIMAL(19 , 0) NOT NULL, 
		"SEQ_NAME" VARCHAR(255) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTER_SEQ_END_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"TESTER_SEQ_END_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"AVG_DURATION" DOUBLE NOT NULL DEFAULT 0, 
		"MAX_DURATION" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"MIN_DURATION" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"AVG_DURATION_FAIL" DOUBLE NOT NULL DEFAULT 0, 
		"MAX_DURATION_FAIL" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"MIN_DURATION_FAIL" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"RATE_ENDED" DOUBLE NOT NULL, 
		"RATE_PASSED" DOUBLE NOT NULL, 
		"RATE_FAILED" DOUBLE NOT NULL, 
		"RATE_TIMEOUT" DOUBLE NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTER_SEQ_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"APPMODELITEM_ID" DECIMAL(19 , 0) NOT NULL, 
		"SEQ_NAME" VARCHAR(255) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTER_SEQ_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"TESTER_SEQ_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"AVG_DURATION" DOUBLE NOT NULL DEFAULT 0, 
		"MAX_DURATION" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"MIN_DURATION" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"AVG_DURATION_FAIL" DOUBLE NOT NULL DEFAULT 0, 
		"MAX_DURATION_FAIL" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"MIN_DURATION_FAIL" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"RATE_STARTED" DOUBLE NOT NULL, 
		"RATE_PASSED" DOUBLE NOT NULL, 
		"RATE_FAILED" DOUBLE NOT NULL, 
		"RATE_TIMEOUT" DOUBLE NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTER_TRANS_END_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"APPMODELITEM_ID" DECIMAL(19 , 0) NOT NULL, 
		"TRANS_NAME" VARCHAR(255) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTER_TRANS_END_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"TESTER_TRANS_END_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"AVG_DURATION" DOUBLE NOT NULL DEFAULT 0, 
		"MAX_DURATION" BIGINT NOT NULL DEFAULT 0, 
		"MIN_DURATION" BIGINT NOT NULL DEFAULT 0, 
		"AVG_DURATION_FAIL" DOUBLE NOT NULL DEFAULT 0, 
		"MAX_DURATION_FAIL" BIGINT NOT NULL DEFAULT 0, 
		"MIN_DURATION_FAIL" BIGINT NOT NULL DEFAULT 0, 
		"RATE_ENDED" DOUBLE NOT NULL, 
		"RATE_PASSED" DOUBLE NOT NULL, 
		"RATE_FAILED" DOUBLE NOT NULL, 
		"RATE_TIMEOUT" DOUBLE NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTER_TRANS_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"APPMODELITEM_ID" DECIMAL(19 , 0) NOT NULL, 
		"TRANS_NAME" VARCHAR(255) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TESTER_TRANS_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"TESTER_TRANS_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"AVG_DURATION" DOUBLE NOT NULL DEFAULT 0, 
		"MAX_DURATION" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"MIN_DURATION" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"AVG_DURATION_FAIL" DOUBLE NOT NULL DEFAULT 0, 
		"MAX_DURATION_FAIL" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"MIN_DURATION_FAIL" DECIMAL(20 , 0) NOT NULL DEFAULT 0, 
		"RATE_STARTED" DOUBLE NOT NULL, 
		"RATE_PASSED" DOUBLE NOT NULL, 
		"RATE_FAILED" DOUBLE NOT NULL, 
		"RATE_TIMEOUT" DOUBLE NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TEST_CYCLE" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"EXECUTION_ID" DECIMAL(19 , 0) NOT NULL, 
		"DISPLAY" VARCHAR(255) NOT NULL, 
		"COMMENTS" VARCHAR(4000), 
		"IS_CLOSED" CHAR(1) NOT NULL, 
		"CREATED_BY" VARCHAR(255) NOT NULL, 
		"CREATE_DATE" DECIMAL(20 , 0) NOT NULL, 
		"CLOSED_BY" VARCHAR(255), 
		"CLOSED_DATE" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TEST_CYCLE_PROJECT" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"TEST_CYCLE_ID" DECIMAL(19 , 0) NOT NULL, 
		"PROJECT_ID" DECIMAL(19 , 0) NOT NULL, 
		"JOINED_DATE" DECIMAL(20 , 0) NOT NULL, 
		"ALL_ENVIRONMENTS" CHAR(1) NOT NULL, 
		"ALLOW_EXTERNAL_TOOLS" CHAR(1) NOT NULL, 
		"IS_JOINED" CHAR(1) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TEST_CYCLE_PROJECT_ENV" (
		"TEST_CYCLE_PROJECT_ID" DECIMAL(19 , 0) NOT NULL, 
		"ENVIRONMENT" VARCHAR(255) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TEST_CYCLE_PROJECT_USER" (
		"TEST_CYCLE_PROJECT_ID" DECIMAL(19 , 0) NOT NULL, 
		"USERNAME" VARCHAR(255) NOT NULL, 
		"JOINED_DATE" DECIMAL(20 , 0) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TRANSACTION" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"NAME" VARCHAR(255) NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "TRANS_HISTORY" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"ITER_HIST_ID" DECIMAL(19 , 0), 
		"TRANS_ID" DECIMAL(19 , 0) NOT NULL, 
		"START_TIME" DECIMAL(20 , 0) NOT NULL, 
		"END_TIME" DECIMAL(20 , 0), 
		"DURATION" DECIMAL(20 , 0), 
		"RESULT" SMALLINT
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMBROKER_B_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"HOST" VARCHAR(256) NOT NULL, 
		"PORT" BIGINT NOT NULL, 
		"BROKER" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"CLIENTS" BIGINT, 
		"EVENT_TYPES" BIGINT, 
		"EVENT_LOG_LENGTH" BIGINT, 
		"NUM_PUBLISHED" BIGINT, 
		"NUM_DELIVERED" BIGINT, 
		"NUM_TRACE_PUBLISHED" BIGINT, 
		"NUM_QUEUED" BIGINT, 
		"NUM_TRACE_SESSIONS" BIGINT, 
		"MAX_PUBLISHES" BIGINT, 
		"MAX_EVENTS" BIGINT, 
		"NEXT_SEQUENCE" BIGINT, 
		"RETRY_ATTEMPTS" BIGINT, 
		"RESERVED_PUBLISHES" BIGINT, 
		"GUARANTEED_PUBLISHES" BIGINT, 
		"VOLATILE_PUBLISHES" BIGINT, 
		"GUARANTEED_EVENTS" BIGINT, 
		"VOLATILE_EVENTS" BIGINT, 
		"CURRENT_PUBLISHES" BIGINT, 
		"CURRENT_EVENTS" BIGINT, 
		"NUM_EVENTS_QUEUED" BIGINT, 
		"LAST_ENQUEUE_TIME" DECIMAL(20 , 0), 
		"QUEUE_LENGTH" BIGINT, 
		"QUEUE_SIZE" BIGINT, 
		"QUEUE_HIGHEST_LENGTH" BIGINT, 
		"QUEUE_HIGHEST_LENGTH_TIME" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMBROKER_B_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"WMBROKER_B_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"CLIENTS" BIGINT, 
		"EVENT_TYPES" BIGINT, 
		"EVENT_LOG_LENGTH" BIGINT, 
		"NUM_PUBLISHED" BIGINT, 
		"NUM_DELIVERED" BIGINT, 
		"NUM_TRACE_PUBLISHED" BIGINT, 
		"NUM_QUEUED" BIGINT, 
		"NUM_TRACE_SESSIONS" BIGINT, 
		"MAX_PUBLISHES" BIGINT, 
		"MAX_EVENTS" BIGINT, 
		"NEXT_SEQUENCE" BIGINT, 
		"RETRY_ATTEMPTS" BIGINT, 
		"RESERVED_PUBLISHES" BIGINT, 
		"GUARANTEED_PUBLISHES" BIGINT, 
		"VOLATILE_PUBLISHES" BIGINT, 
		"GUARANTEED_EVENTS" BIGINT, 
		"VOLATILE_EVENTS" BIGINT, 
		"CURRENT_PUBLISHES" BIGINT, 
		"CURRENT_EVENTS" BIGINT, 
		"NUM_EVENTS_QUEUED" BIGINT, 
		"LAST_ENQUEUE_TIME" DECIMAL(20 , 0), 
		"QUEUE_LENGTH" BIGINT, 
		"QUEUE_SIZE" BIGINT, 
		"QUEUE_HIGHEST_LENGTH" BIGINT, 
		"QUEUE_HIGHEST_LENGTH_TIME" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMBROKER_CG_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"WMBROKER_B_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"CLIENT_GROUP" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"NUM_PUBLISHED" BIGINT, 
		"NUM_DELIVERED" BIGINT, 
		"LAST_PUBLISHED" DECIMAL(20 , 0), 
		"LAST_DELIVERED" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMBROKER_CG_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"WMBROKER_CG_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"NUM_PUBLISHED" BIGINT, 
		"NUM_DELIVERED" BIGINT, 
		"LAST_PUBLISHED" DECIMAL(20 , 0), 
		"LAST_DELIVERED" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMBROKER_C_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"WMBROKER_B_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"CLIENT" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"NUM_PUBLISHED" BIGINT, 
		"NUM_DELIVERED" BIGINT, 
		"NUM_QUEUED" BIGINT, 
		"NUM_RETRIEVED" BIGINT, 
		"NUM_UNACKED" BIGINT, 
		"LAST_PUBLISHED" DECIMAL(20 , 0), 
		"LAST_DELIVERED" DECIMAL(20 , 0), 
		"LAST_QUEUED" DECIMAL(20 , 0), 
		"LAST_RETRIEVED" DECIMAL(20 , 0), 
		"QUEUE_LENGTH" BIGINT, 
		"QUEUE_SIZE" BIGINT, 
		"HIGH_QUEUE_LENGTH" BIGINT, 
		"HIGH_QUEUE_LENGTH_TIME" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMBROKER_C_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"WMBROKER_C_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"NUM_PUBLISHED" BIGINT, 
		"NUM_DELIVERED" BIGINT, 
		"NUM_QUEUED" BIGINT, 
		"NUM_RETRIEVED" BIGINT, 
		"NUM_UNACKED" BIGINT, 
		"LAST_PUBLISHED" DECIMAL(20 , 0), 
		"LAST_DELIVERED" DECIMAL(20 , 0), 
		"LAST_QUEUED" DECIMAL(20 , 0), 
		"LAST_RETRIEVED" DECIMAL(20 , 0), 
		"QUEUE_LENGTH" BIGINT, 
		"QUEUE_SIZE" BIGINT, 
		"HIGH_QUEUE_LENGTH" BIGINT, 
		"HIGH_QUEUE_LENGTH_TIME" DECIMAL(20 , 0)
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMBROKER_ET_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"WMBROKER_B_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EVENT_TYPE" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"NUM_PUBLISHED" BIGINT, 
		"NUM_DELIVERED" BIGINT, 
		"LAST_PUBLISHED" DECIMAL(20 , 0), 
		"LAST_DELIVERED" DECIMAL(20 , 0), 
		"NUM_SUBSCRIPTIONS" BIGINT, 
		"NUM_FORWARDS" BIGINT, 
		"LAST_FORWARD" DECIMAL(20 , 0), 
		"PUBLISH_GROUPS" BIGINT, 
		"SUBSCRIBE_GROUPS" BIGINT
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMBROKER_ET_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"WMBROKER_ET_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"NUM_PUBLISHED" BIGINT, 
		"NUM_DELIVERED" BIGINT, 
		"LAST_PUBLISHED" DECIMAL(20 , 0), 
		"LAST_DELIVERED" DECIMAL(20 , 0), 
		"NUM_SUBSCRIPTIONS" BIGINT, 
		"NUM_FORWARDS" BIGINT, 
		"LAST_FORWARD" DECIMAL(20 , 0), 
		"PUBLISH_GROUPS" BIGINT, 
		"SUBSCRIBE_GROUPS" BIGINT
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMIS_SERVER_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"HOST" VARCHAR(256) NOT NULL, 
		"PORT" BIGINT NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"CURR_SYS_THREADS" BIGINT NOT NULL, 
		"PEAK_SYS_THREADS" BIGINT NOT NULL, 
		"CURR_SVC_THREADS" BIGINT NOT NULL, 
		"PEAK_SVC_THREADS" BIGINT NOT NULL, 
		"CURR_TOT_SESS" BIGINT NOT NULL, 
		"PEAK_TOT_SESS" BIGINT NOT NULL, 
		"CURR_LIC_SESS" BIGINT NOT NULL, 
		"PEAK_LIC_SESS" BIGINT NOT NULL, 
		"COMPLETED_REQS" BIGINT NOT NULL, 
		"AVG_REQ_TIME" BIGINT NOT NULL, 
		"TOT_AVG_REQ_TIME" BIGINT NOT NULL, 
		"SVC_ERR_COUNT" BIGINT NOT NULL, 
		"START_REQ_RATE" BIGINT NOT NULL, 
		"END_REQ_RATE" BIGINT NOT NULL, 
		"TOT_JVM_MEM" BIGINT NOT NULL, 
		"USED_JVM_MEM" BIGINT NOT NULL, 
		"FREE_JVM_MEM" BIGINT NOT NULL, 
		"UPTIME" BIGINT NOT NULL, 
		"TOT_INVOKED" BIGINT NOT NULL, 
		"CACHED_SVC" BIGINT NOT NULL, 
		"PREFETCHED_SVC" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMIS_SERVER_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"WMIS_SERVER_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"CURR_SYS_THREADS" BIGINT NOT NULL, 
		"PEAK_SYS_THREADS" BIGINT NOT NULL, 
		"CURR_SVC_THREADS" BIGINT NOT NULL, 
		"PEAK_SVC_THREADS" BIGINT NOT NULL, 
		"CURR_TOT_SESS" BIGINT NOT NULL, 
		"PEAK_TOT_SESS" BIGINT NOT NULL, 
		"CURR_LIC_SESS" BIGINT NOT NULL, 
		"PEAK_LIC_SESS" BIGINT NOT NULL, 
		"COMPLETED_REQS" BIGINT NOT NULL, 
		"AVG_REQ_TIME" BIGINT NOT NULL, 
		"TOT_AVG_REQ_TIME" BIGINT NOT NULL, 
		"SVC_ERR_COUNT" BIGINT NOT NULL, 
		"START_REQ_RATE" BIGINT NOT NULL, 
		"END_REQ_RATE" BIGINT NOT NULL, 
		"TOT_JVM_MEM" BIGINT NOT NULL, 
		"USED_JVM_MEM" BIGINT NOT NULL, 
		"FREE_JVM_MEM" BIGINT NOT NULL, 
		"UPTIME" BIGINT NOT NULL, 
		"TOT_INVOKED" BIGINT NOT NULL, 
		"CACHED_SVC" BIGINT NOT NULL, 
		"PREFETCHED_SVC" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMIS_SERVICE_MRV" (
		"ID" DECIMAL(19 , 0) GENERATED AS IDENTITY, 
		"WMIS_SERVER_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"SERVICE" VARCHAR(256) NOT NULL, 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"INVOKED" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE TABLE "WMIS_SERVICE_TS" (
		"IDX" DECIMAL(19 , 0) NOT NULL, 
		"WMIS_SERVICE_MRV_ID" DECIMAL(19 , 0) NOT NULL, 
		"EXECUTION_ID" DECIMAL(19 , 0), 
		"TIME" DECIMAL(20 , 0) NOT NULL, 
		"INVOKED" BIGINT NOT NULL
	)
	DATA CAPTURE NONE 
	IN "TS32"
	    ;

CREATE INDEX "ACTION_EXECUTION_P_IX"
	ON "ACTION_EXECUTION"
	("PARENT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "ACTION_EXECUTION__A_IX"
	ON "ACTION_EXECUTION"
	("ACTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "ACTION__A_IX"
	ON "ACTION"
	("ACTIONTYPE_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "APPMODELITEM__A_IX"
	ON "APPMODELITEM"
	("APPMODELTYPE_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "APPMODELITEM__P_IX"
	ON "APPMODELITEM"
	("PARENT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "BWACTIVITY_TS__B_IX"
	ON "BWACTIVITY_TS"
	("BWACTIVITY_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "BWACTIVITY__E_IX"
	ON "BWACTIVITY_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "BWHOST_TS__B_IX"
	ON "BWHOST_TS"
	("BWHOST_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "BWHOST_TS__E_IX"
	ON "BWHOST_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "BWPROC_TS__B_IX"
	ON "BWPROC_TS"
	("BWPROC_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "BWPROC_TS__E_IX"
	ON "BWPROC_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "COVERAGE__E_IX"
	ON "COVERAGE"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "DETAIL_EXECUTION__A2_IX"
	ON "DETAIL_EXECUTION"
	("APPMODELITEM_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "DETAIL_EXECUTION__A_IX"
	ON "DETAIL_EXECUTION"
	("ACTION_EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "DQGROUP_TS__D_IX"
	ON "DQGROUP_TS"
	("DQGROUP_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "DQGROUP_TS__E_IX"
	ON "DQGROUP_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "DQMEMBER_TS__D_IX"
	ON "DQMEMBER_TS"
	("DQMEMBER_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "DQMEMBER_TS__E_IX"
	ON "DQMEMBER_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "DT_HISTORY__A_IX"
	ON "DT_HISTORY"
	("AGENT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "DT_HISTORY__D_IX"
	ON "DT_HISTORY"
	("DT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "DT__E_IX"
	ON "DT"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EMS_QUEUE_TS__E2_IX"
	ON "EMS_QUEUE_TS"
	("EMS_QUEUE_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EMS_QUEUE_TS__E_IX"
	ON "EMS_QUEUE_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EMS_ROUTE_TS__E2_IX"
	ON "EMS_ROUTE_TS"
	("EMS_ROUTE_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EMS_ROUTE_TS__E_IX"
	ON "EMS_ROUTE_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EMS_SERVER_TS__E2_IX"
	ON "EMS_SERVER_TS"
	("EMS_SERVER_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EMS_SERVER_TS__E_IX"
	ON "EMS_SERVER_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EMS_TOPIC_TS__E2_IX"
	ON "EMS_TOPIC_TS"
	("EMS_TOPIC_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EMS_TOPIC_TS__E_IX"
	ON "EMS_TOPIC_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EXECUTION_LOCK__P_IX"
	ON "EXECUTION_LOCK"
	("PERSON_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EXECUTION__E_IX"
	ON "EXECUTION"
	("ENVIRONMENT"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EXECUTION__P_IX"
	ON "EXECUTION"
	("PARENT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EXECUTION__R_IX"
	ON "EXECUTION"
	("ROOT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "EXECUTION__S_IX"
	ON "EXECUTION"
	("STATUS_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "FLEX_DOUBLE__E_IX"
	ON "FLEX_DOUBLE"
	("EVENT"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "FLEX_DOUBLE__RE_IX"
	ON "FLEX_DOUBLE"
	("ROW_"		ASC, 
	  "EVENT"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "FLEX_EVENT__M_IX"
	ON "FLEX_EVENT"
	("MILLIS_1970_UTC"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "FLEX_LONG__E_IX"
	ON "FLEX_LONG"
	("EVENT"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "FLEX_LONG__RE_IX"
	ON "FLEX_LONG"
	("ROW_"		ASC, 
	  "EVENT"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "ITER_HISTORY__D_IX"
	ON "ITER_HISTORY"
	("DT_HIST_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_MRV__A2_IX"
	ON "LOGMEASUREMENT_MRV"
	("ATTR_ID_2"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_MRV__A3_IX"
	ON "LOGMEASUREMENT_MRV"
	("ATTR_ID_3"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_MRV__A4_IX"
	ON "LOGMEASUREMENT_MRV"
	("ATTR_ID_4"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_MRV__A5_IX"
	ON "LOGMEASUREMENT_MRV"
	("ATTR_ID_5"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_MRV__A_IX"
	ON "LOGMEASUREMENT_MRV"
	("ATTR_ID_1"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__C2_IX"
	ON "LOGMEASUREMENT_TS"
	("CTR_ID_2"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__C3_IX"
	ON "LOGMEASUREMENT_TS"
	("CTR_ID_3"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__C4_IX"
	ON "LOGMEASUREMENT_TS"
	("CTR_ID_4"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__C5_IX"
	ON "LOGMEASUREMENT_TS"
	("CTR_ID_5"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__C6_IX"
	ON "LOGMEASUREMENT_TS"
	("CTR_ID_6"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__C7_IX"
	ON "LOGMEASUREMENT_TS"
	("CTR_ID_7"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__C8_IX"
	ON "LOGMEASUREMENT_TS"
	("CTR_ID_8"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__C_IX"
	ON "LOGMEASUREMENT_TS"
	("CTR_ID_1"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__E_IX"
	ON "LOGMEASUREMENT_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__L_IX"
	ON "LOGMEASUREMENT_TS"
	("LOGMEASUREMENT_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__S2_IX"
	ON "LOGMEASUREMENT_TS"
	("STRCTR_ID_2"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__S3_IX"
	ON "LOGMEASUREMENT_TS"
	("STRCTR_ID_3"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__S4_IX"
	ON "LOGMEASUREMENT_TS"
	("STRCTR_ID_4"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "LOGMEASUREMENT_TS__S_IX"
	ON "LOGMEASUREMENT_TS"
	("STRCTR_ID_1"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "PERFORM_CHARTS__E_IX"
	ON "PERFORM_CHARTS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "PERFORM_CHARTS__P_IX"
	ON "PERFORM_CHARTS"
	("PROJECT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "PERFORM_EXECUTION__A_IX"
	ON "PERFORM_EXECUTION"
	("APPMODELITEM_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVHI_TS__E_IX"
	ON "RVHI_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
	;

CREATE INDEX "RVHI_TS__R_IX"
	ON "RVHI_TS"
	("RVHI_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_MULTICAST_TS__E_IX"
	ON "RVTRACE_MULTICAST_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_MULTICAST_TS__R_IX"
	ON "RVTRACE_MULTICAST_TS"
	("RVTRACE_MULTICAST_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_NETWORK_TS__E_IX"
	ON "RVTRACE_NETWORK_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_NETWORK_TS__R_IX"
	ON "RVTRACE_NETWORK_TS"
	("RVTRACE_NETWORK_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_PTP_TS__E_IX"
	ON "RVTRACE_PTP_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_PTP_TS__R_IX"
	ON "RVTRACE_PTP_TS"
	("RVTRACE_PTP_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_RETRANS_TS__E_IX"
	ON "RVTRACE_RETRANS_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_RETRANS_TS__R_IX"
	ON "RVTRACE_RETRANS_TS"
	("RVTRACE_RETRANS_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_SUBJECT_TS__E_IX"
	ON "RVTRACE_SUBJECT_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "RVTRACE_SUBJECT_TS__R_IX"
	ON "RVTRACE_SUBJECT_TS"
	("RVTRACE_SUBJECT_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SCENARIO_EXECUTION__S_IX"
	ON "SCENARIO_EXECUTION"
	("SCENARIO_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SONIC_AGENT_TS__E_IX"
	ON "SONIC_AGENT_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SONIC_AGENT_TS__S_IX"
	ON "SONIC_AGENT_TS"
	("SONIC_AGENT_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SONIC_BROKER_TS__E_IX"
	ON "SONIC_BROKER_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SONIC_BROKER_TS__S_IX"
	ON "SONIC_BROKER_TS"
	("SONIC_BROKER_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SONIC_CONNS_TS__E_IX"
	ON "SONIC_CONNS_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SONIC_CONNS_TS__S_IX"
	ON "SONIC_CONNS_TS"
	("SONIC_CONNS_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SONIC_QUEUE_TS__E_IX"
	ON "SONIC_QUEUE_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SONIC_QUEUE_TS__S_IX"
	ON "SONIC_QUEUE_TS"
	("SONIC_QUEUE_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SUITE_EXECUTION__A2_IX"
	ON "SUITE_EXECUTION"
	("APPMODELITEM_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SUITE_EXECUTION__A_IX"
	ON "SUITE_EXECUTION"
	("ACTION_EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SUITE_EXECUTION__E_IX"
	ON "SUITE_EXECUTION"
	("EXPIRATION"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SYSSTAT_PROC_STATS_TS__E_IX"
	ON "SYSSTAT_PROC_STATS_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SYSSTAT_PROC_STATS_TS__S_IX"
	ON "SYSSTAT_PROC_STATS_TS"
	("SYSSTAT_PROC_STATS_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SYSSTAT_SYS_STATS_TS__E_IX"
	ON "SYSSTAT_SYS_STATS_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "SYSSTAT_SYS_STATS_TS__S_IX"
	ON "SYSSTAT_SYS_STATS_TS"
	("SYSSTAT_SYS_STATS_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTENGINE_ENGINE_TS__E_IX"
	ON "TESTENGINE_ENGINE_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTENGINE_ENGINE_TS__T_IX"
	ON "TESTENGINE_ENGINE_TS"
	("TESTENGINE_ENGINE_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTENGINE_SEQ_MRV__T_IX"
	ON "TESTENGINE_SEQ_MRV"
	("TESTENGINE_ENGINE_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTENGINE_SEQ_TS__E_IX"
	ON "TESTENGINE_SEQ_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTENGINE_SEQ_TS__T_IX"
	ON "TESTENGINE_SEQ_TS"
	("TESTENGINE_SEQ_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTENGINE_TRANS_MRV__T_IX"
	ON "TESTENGINE_TRANS_MRV"
	("TESTENGINE_ENGINE_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTENGINE_TRANS_TS__E_IX"
	ON "TESTENGINE_TRANS_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTENGINE_TRANS_TS__T_IX"
	ON "TESTENGINE_TRANS_TS"
	("TESTENGINE_TRANS_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_SEQ_END_MRV__A_IX"
	ON "TESTER_SEQ_END_MRV"
	("APPMODELITEM_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_SEQ_END_TS__E_IX"
	ON "TESTER_SEQ_END_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_SEQ_END_TS__T_IX"
	ON "TESTER_SEQ_END_TS"
	("TESTER_SEQ_END_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_SEQ_MRV__A_IX"
	ON "TESTER_SEQ_MRV"
	("APPMODELITEM_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_SEQ_TS__E_IX"
	ON "TESTER_SEQ_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_SEQ_TS__T_IX"
	ON "TESTER_SEQ_TS"
	("TESTER_SEQ_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_TRANS_END_MRV__A_IX"
	ON "TESTER_TRANS_END_MRV"
	("APPMODELITEM_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_TRANS_END_TS__E_IX"
	ON "TESTER_TRANS_END_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_TRANS_END_TS__T_IX"
	ON "TESTER_TRANS_END_TS"
	("TESTER_TRANS_END_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_TRANS_MRV__A_IX"
	ON "TESTER_TRANS_MRV"
	("APPMODELITEM_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_TRANS_TS__E_IX"
	ON "TESTER_TRANS_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TESTER_TRANS_TS__T_IX"
	ON "TESTER_TRANS_TS"
	("TESTER_TRANS_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TEST_CYCLE_PROJECT_USER__T_IX"
	ON "TEST_CYCLE_PROJECT_USER"
	("TEST_CYCLE_PROJECT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TEST_CYCLE_PROJECT__P_IX"
	ON "TEST_CYCLE_PROJECT"
	("PROJECT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TEST_CYCLE_PROJECT__T2_IX"
	ON "TEST_CYCLE_PROJECT_ENV"
	("TEST_CYCLE_PROJECT_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TEST_CYCLE_PROJECT__T_IX"
	ON "TEST_CYCLE_PROJECT"
	("TEST_CYCLE_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TRANS_HISTORY__I_IX"
	ON "TRANS_HISTORY"
	("ITER_HIST_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "TRANS_HISTORY__T_IX"
	ON "TRANS_HISTORY"
	("TRANS_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_B_TS__E_IX"
	ON "WMBROKER_B_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_B_TS__W_IX"
	ON "WMBROKER_B_TS"
	("WMBROKER_B_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_CG_MRV__W_IX"
	ON "WMBROKER_CG_MRV"
	("WMBROKER_B_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_CG_TS__E_IX"
	ON "WMBROKER_CG_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_CG_TS__W_IX"
	ON "WMBROKER_CG_TS"
	("WMBROKER_CG_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_C_MRV__W_IX"
	ON "WMBROKER_C_MRV"
	("WMBROKER_B_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_C_TS__E_IX"
	ON "WMBROKER_C_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_C_TS__W_IX"
	ON "WMBROKER_C_TS"
	("WMBROKER_C_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_ET_MRV__W_IX"
	ON "WMBROKER_ET_MRV"
	("WMBROKER_B_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_ET_TS__E_IX"
	ON "WMBROKER_ET_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMBROKER_ET_TS__W_IX"
	ON "WMBROKER_ET_TS"
	("WMBROKER_ET_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMIS_SERVER_TS__E_IX"
	ON "WMIS_SERVER_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMIS_SERVER_TS__W_IX"
	ON "WMIS_SERVER_TS"
	("WMIS_SERVER_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMIS_SERVICE_MRV__W_IX"
	ON "WMIS_SERVICE_MRV"
	("WMIS_SERVER_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMIS_SERVICE_TS__E_IX"
	ON "WMIS_SERVICE_TS"
	("EXECUTION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE INDEX "WMIS_SERVICE_TS__W_IX"
	ON "WMIS_SERVICE_TS"
	("WMIS_SERVICE_MRV_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE UNIQUE INDEX "FLEX_COL__MD_UQ"
	ON "FLEX_COL"
	("METHOD"		ASC, 
	  "DATA"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE UNIQUE INDEX "FLEX_METHOD__TD_UQ"
	ON "FLEX_METHOD"
	("TYPE"		ASC, 
	  "DATA"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE UNIQUE INDEX "FLEX_ROW__CD_UQ"
	ON "FLEX_ROW"
	("COL"		ASC, 
	  "DATA"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

CREATE UNIQUE INDEX "FLEX_TYPE__D_UQ"
	ON "FLEX_TYPE"
	("DATA"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
    ;

ALTER TABLE "ACTION" ADD CONSTRAINT "ACTION__AU_UQ" UNIQUE ("APPMODELITEM_ID", "UNIQUEID");

ALTER TABLE "ACTION" ADD CONSTRAINT "ACTION__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "ACTION" ADD CONSTRAINT "SYS_C0010179" CHECK (ID IS NOT NULL);

ALTER TABLE "ACTIONTYPE" ADD CONSTRAINT "ACTIONTYPE__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "ACTIONTYPE" ADD CONSTRAINT "ACTIONTYPE__U_UQ" UNIQUE ("UNIQUEID");

ALTER TABLE "ACTIONTYPE" ADD CONSTRAINT "SYS_C0010158" CHECK (ID IS NOT NULL);

ALTER TABLE "ACTION_EXECUTION" ADD CONSTRAINT "ACTION_EXECUTION__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "ACTION_EXECUTION" ADD CONSTRAINT "SYS_C0010184" CHECK (ID IS NOT NULL);

ALTER TABLE "AGENT" ADD CONSTRAINT "AGENT__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "AGENT" ADD CONSTRAINT "AGENT__U_UQ" UNIQUE ("URL");

ALTER TABLE "AGENT" ADD CONSTRAINT "SYS_C0010188" CHECK (ID IS NOT NULL);

ALTER TABLE "AGENT" ADD CONSTRAINT "SYS_C0010189" CHECK (URL IS NOT NULL);

ALTER TABLE "APPMODELITEM" ADD CONSTRAINT "APPMODELITEM__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "APPMODELITEM" ADD CONSTRAINT "APPMODELITEM__PU_UQ" UNIQUE ("PROJECT_ID", "UNIQUEID");

ALTER TABLE "APPMODELITEM" ADD CONSTRAINT "SYS_C0010170" CHECK (ID IS NOT NULL);

ALTER TABLE "APPMODELITEM" ADD CONSTRAINT "SYS_C0010171" CHECK (APPMODELTYPE_ID IS NOT NULL);

ALTER TABLE "APPMODELITEM" ADD CONSTRAINT "SYS_C0010172" CHECK (PROJECT_ID IS NOT NULL);

ALTER TABLE "APPMODELITEM" ADD CONSTRAINT "SYS_C0010173" CHECK (UNIQUEID IS NOT NULL);

ALTER TABLE "APPMODELTYPE" ADD CONSTRAINT "APPMODELTYPE__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "APPMODELTYPE" ADD CONSTRAINT "APPMODELTYPE__U_UQ" UNIQUE ("UNIQUEID");

ALTER TABLE "APPMODELTYPE" ADD CONSTRAINT "SYS_C0010161" CHECK (ID IS NOT NULL);

ALTER TABLE "APPMODELTYPE" ADD CONSTRAINT "SYS_C0010162" CHECK (UNIQUEID IS NOT NULL);

ALTER TABLE "BWACTIVITY_MRV" ADD CONSTRAINT "BWACTIVITY_MRV__BAPA_UQ" UNIQUE ("BWHOST_MRV_ID", "ACTIVITYNAME", "PROCESSNAME", "ACTIVITY_CLASS");

ALTER TABLE "BWACTIVITY_MRV" ADD CONSTRAINT "BWACTIVITY_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "BWACTIVITY_MRV" ADD CONSTRAINT "SYS_C0010200" CHECK (ID IS NOT NULL);

ALTER TABLE "BWACTIVITY_MRV" ADD CONSTRAINT "SYS_C0010201" CHECK (BWHOST_MRV_ID IS NOT NULL);

ALTER TABLE "BWACTIVITY_MRV" ADD CONSTRAINT "SYS_C0010202" CHECK (ACTIVITYNAME IS NOT NULL);

ALTER TABLE "BWACTIVITY_MRV" ADD CONSTRAINT "SYS_C0010203" CHECK (PROCESSNAME IS NOT NULL);

ALTER TABLE "BWACTIVITY_MRV" ADD CONSTRAINT "SYS_C0010204" CHECK (ACTIVITY_CLASS IS NOT NULL);

ALTER TABLE "BWACTIVITY_MRV" ADD CONSTRAINT "SYS_C0010205" CHECK (TIME IS NOT NULL);

ALTER TABLE "BWACTIVITY_TS" ADD CONSTRAINT "SYS_C0010220" CHECK (IDX IS NOT NULL);

ALTER TABLE "BWACTIVITY_TS" ADD CONSTRAINT "SYS_C0010221" CHECK (BWACTIVITY_MRV_ID IS NOT NULL);

ALTER TABLE "BWACTIVITY_TS" ADD CONSTRAINT "SYS_C0010222" CHECK (TIME IS NOT NULL);

ALTER TABLE "BWHOST_MRV" ADD CONSTRAINT "BWHOST_MRV__HIID_UQ" UNIQUE ("HOSTNAME", "INSTANCENAME", "IPADDRESS", "DOMAIN");

ALTER TABLE "BWHOST_MRV" ADD CONSTRAINT "BWHOST_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "BWHOST_MRV" ADD CONSTRAINT "SYS_C0010192" CHECK (ID IS NOT NULL);

ALTER TABLE "BWHOST_MRV" ADD CONSTRAINT "SYS_C0010193" CHECK (HOSTNAME IS NOT NULL);

ALTER TABLE "BWHOST_MRV" ADD CONSTRAINT "SYS_C0010194" CHECK (INSTANCENAME IS NOT NULL);

ALTER TABLE "BWHOST_MRV" ADD CONSTRAINT "SYS_C0010195" CHECK (IPADDRESS IS NOT NULL);

ALTER TABLE "BWHOST_MRV" ADD CONSTRAINT "SYS_C0010196" CHECK (DOMAIN IS NOT NULL);

ALTER TABLE "BWHOST_MRV" ADD CONSTRAINT "SYS_C0010197" CHECK (TIME IS NOT NULL);

ALTER TABLE "BWHOST_TS" ADD CONSTRAINT "SYS_C0010225" CHECK (IDX IS NOT NULL);

ALTER TABLE "BWHOST_TS" ADD CONSTRAINT "SYS_C0010226" CHECK (BWHOST_MRV_ID IS NOT NULL);

ALTER TABLE "BWHOST_TS" ADD CONSTRAINT "SYS_C0010227" CHECK (TIME IS NOT NULL);

ALTER TABLE "BWPROC_MRV" ADD CONSTRAINT "BWPROC_MRV__BP_UQ" UNIQUE ("BWHOST_MRV_ID", "PROCESSNAME");

ALTER TABLE "BWPROC_MRV" ADD CONSTRAINT "BWPROC_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "BWPROC_MRV" ADD CONSTRAINT "SYS_C0010230" CHECK (ID IS NOT NULL);

ALTER TABLE "BWPROC_MRV" ADD CONSTRAINT "SYS_C0010231" CHECK (BWHOST_MRV_ID IS NOT NULL);

ALTER TABLE "BWPROC_MRV" ADD CONSTRAINT "SYS_C0010232" CHECK (PROCESSNAME IS NOT NULL);

ALTER TABLE "BWPROC_MRV" ADD CONSTRAINT "SYS_C0010233" CHECK (TIME IS NOT NULL);

ALTER TABLE "BWPROC_TS" ADD CONSTRAINT "SYS_C0010237" CHECK (IDX IS NOT NULL);

ALTER TABLE "BWPROC_TS" ADD CONSTRAINT "SYS_C0010238" CHECK (BWPROC_MRV_ID IS NOT NULL);

ALTER TABLE "BWPROC_TS" ADD CONSTRAINT "SYS_C0010239" CHECK (TIME IS NOT NULL);

ALTER TABLE "COUNTER_DETAILS" ADD CONSTRAINT "COUNTER_DETAILS__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "COUNTER_DETAILS" ADD CONSTRAINT "SYS_C0010242" CHECK (ID IS NOT NULL);

ALTER TABLE "COUNTER_DETAILS" ADD CONSTRAINT "SYS_C0010243" CHECK (NAME IS NOT NULL);

ALTER TABLE "COUNTER_DETAILS" ADD CONSTRAINT "SYS_C0010244" CHECK (TYPE IS NOT NULL);

ALTER TABLE "COVERAGE" ADD CONSTRAINT "COVERAGE__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "COVERAGE" ADD CONSTRAINT "SYS_C0010246" CHECK (ID IS NOT NULL);

ALTER TABLE "COVERAGE" ADD CONSTRAINT "SYS_C0010247" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "COVERAGE" ADD CONSTRAINT "SYS_C0010248" CHECK (TYPE IS NOT NULL);

ALTER TABLE "DB_DETAILS" ADD CONSTRAINT "SYS_C0010251" CHECK (CTIME IS NOT NULL);

ALTER TABLE "DB_DETAILS" ADD CONSTRAINT "SYS_C0010252" CHECK (PROPERTY IS NOT NULL);

ALTER TABLE "DB_DETAILS" ADD CONSTRAINT "SYS_C0010253" CHECK (VALUE IS NOT NULL);

ALTER TABLE "DETAIL_EXECUTION" ADD CONSTRAINT "DETAIL_EXECUTION__E_PK" PRIMARY KEY ("EXECUTION_ID");

ALTER TABLE "DETAIL_EXECUTION" ADD CONSTRAINT "SYS_C0010254" CHECK (APPMODELITEM_ID IS NOT NULL);

ALTER TABLE "DETAIL_EXECUTION" ADD CONSTRAINT "SYS_C0010255" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "DQGROUP_MRV" ADD CONSTRAINT "DQGROUP_MRV__DG_UQ" UNIQUE ("DQNAME", "GRP");

ALTER TABLE "DQGROUP_MRV" ADD CONSTRAINT "DQGROUP_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "DQGROUP_MRV" ADD CONSTRAINT "SYS_C0010260" CHECK (ID IS NOT NULL);

ALTER TABLE "DQGROUP_MRV" ADD CONSTRAINT "SYS_C0010261" CHECK (DQNAME IS NOT NULL);

ALTER TABLE "DQGROUP_MRV" ADD CONSTRAINT "SYS_C0010262" CHECK (GRP IS NOT NULL);

ALTER TABLE "DQGROUP_MRV" ADD CONSTRAINT "SYS_C0010263" CHECK (TIME IS NOT NULL);

ALTER TABLE "DQGROUP_MRV" ADD CONSTRAINT "SYS_C0010264" CHECK (HOSTIP IS NOT NULL);

ALTER TABLE "DQGROUP_MRV" ADD CONSTRAINT "SYS_C0010265" CHECK (HOSTNAME IS NOT NULL);

ALTER TABLE "DQGROUP_TS" ADD CONSTRAINT "DQGROUP_TS__I_PK" PRIMARY KEY ("IDX");

ALTER TABLE "DQGROUP_TS" ADD CONSTRAINT "SYS_C0010268" CHECK (IDX IS NOT NULL);

ALTER TABLE "DQGROUP_TS" ADD CONSTRAINT "SYS_C0010269" CHECK (DQGROUP_MRV_ID IS NOT NULL);

ALTER TABLE "DQGROUP_TS" ADD CONSTRAINT "SYS_C0010270" CHECK (TIME IS NOT NULL);

ALTER TABLE "DQGROUP_TS" ADD CONSTRAINT "SYS_C0010271" CHECK (ACCEPTED IS NOT NULL);

ALTER TABLE "DQGROUP_TS" ADD CONSTRAINT "SYS_C0010272" CHECK (COMPLETED IS NOT NULL);

ALTER TABLE "DQGROUP_TS" ADD CONSTRAINT "SYS_C0010273" CHECK (REJECTED IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "DQMEMBER_MRV__DM_UQ" UNIQUE ("DQGROUP_MRV_ID", "MEMBERTAG");

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "DQMEMBER_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010277" CHECK (ID IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010278" CHECK (DQGROUP_MRV_ID IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010279" CHECK (MEMBERTAG IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010280" CHECK (TIME IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010281" CHECK (MEMBERID IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010282" CHECK (HOSTIP IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010283" CHECK (HOSTNAME IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010284" CHECK (TYPE IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010285" CHECK (WEIGHT IS NOT NULL);

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "SYS_C0010286" CHECK (MAXTASKS IS NOT NULL);

ALTER TABLE "DQMEMBER_TS" ADD CONSTRAINT "SYS_C0010290" CHECK (IDX IS NOT NULL);

ALTER TABLE "DQMEMBER_TS" ADD CONSTRAINT "SYS_C0010291" CHECK (DQMEMBER_MRV_ID IS NOT NULL);

ALTER TABLE "DQMEMBER_TS" ADD CONSTRAINT "SYS_C0010292" CHECK (TIME IS NOT NULL);

ALTER TABLE "DQMEMBER_TS" ADD CONSTRAINT "SYS_C0010293" CHECK (ACCEPTED IS NOT NULL);

ALTER TABLE "DQMEMBER_TS" ADD CONSTRAINT "SYS_C0010294" CHECK (COMPLETED IS NOT NULL);

ALTER TABLE "DQMEMBER_TS" ADD CONSTRAINT "SYS_C0010295" CHECK (REJECTED IS NOT NULL);

ALTER TABLE "DT" ADD CONSTRAINT "DT__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "DT" ADD CONSTRAINT "SYS_C0010298" CHECK (ID IS NOT NULL);

ALTER TABLE "DT" ADD CONSTRAINT "SYS_C0010299" CHECK (NAME IS NOT NULL);

ALTER TABLE "DT" ADD CONSTRAINT "SYS_C0010300" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "DT_HISTORY" ADD CONSTRAINT "DT_HISTORY__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "DT_HISTORY" ADD CONSTRAINT "SYS_C0010303" CHECK (ID IS NOT NULL);

ALTER TABLE "DT_HISTORY" ADD CONSTRAINT "SYS_C0010304" CHECK (AGENT_ID IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "EMS_QUEUE_MRV__EN_UQ" UNIQUE ("EMS_SERVER_MRV_ID", "NAME");

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "EMS_QUEUE_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010344" CHECK (ID IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010345" CHECK (EMS_SERVER_MRV_ID IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010346" CHECK (NAME IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010347" CHECK (TIME IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010349" CHECK (ISSTATIC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010350" CHECK (PMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010351" CHECK (PMS IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010352" CHECK (IMR IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010353" CHECK (OMR IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010354" CHECK (IBR IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010355" CHECK (OBR IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010356" CHECK (IMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010357" CHECK (OMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010358" CHECK (IBC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010359" CHECK (OBC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010360" CHECK (DMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010361" CHECK (TMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010362" CHECK (ARC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010363" CHECK (CC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010367" CHECK (IDX IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010368" CHECK (EMS_QUEUE_MRV_ID IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010369" CHECK (TIME IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010370" CHECK (PMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010371" CHECK (PMS IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010372" CHECK (IMR IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010373" CHECK (OMR IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010374" CHECK (IBR IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010375" CHECK (OBR IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010376" CHECK (IMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010377" CHECK (OMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010378" CHECK (IBC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010379" CHECK (OBC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010380" CHECK (DMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010381" CHECK (TMC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010382" CHECK (ARC IS NOT NULL);

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "SYS_C0010383" CHECK (CC IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "EMS_ROUTE_MRV__ER_UQ" UNIQUE ("EMS_SERVER_MRV_ID", "REMOTESERVER");

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "EMS_ROUTE_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010386" CHECK (ID IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010387" CHECK (EMS_SERVER_MRV_ID IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010388" CHECK (REMOTESERVER IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010389" CHECK (TIME IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010390" CHECK (REMOTEURL IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010391" CHECK (ZONE IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010392" CHECK (ZONETYPE IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010393" CHECK (IMR IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010394" CHECK (OMR IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010395" CHECK (IBR IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010396" CHECK (OBR IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010397" CHECK (IMC IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010398" CHECK (OMC IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010399" CHECK (IBC IS NOT NULL);

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "SYS_C0010400" CHECK (OBC IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010404" CHECK (IDX IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010405" CHECK (EMS_ROUTE_MRV_ID IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010406" CHECK (TIME IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010407" CHECK (IMR IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010408" CHECK (OMR IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010409" CHECK (IBR IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010410" CHECK (OBR IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010411" CHECK (IMC IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010412" CHECK (OMC IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010413" CHECK (IBC IS NOT NULL);

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "SYS_C0010414" CHECK (OBC IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "EMS_SERVER_MRV__B_UQ" UNIQUE ("BROKER");

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "EMS_SERVER_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010308" CHECK (ID IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010309" CHECK (BROKER IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010310" CHECK (TIME IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010311" CHECK (STATUS IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010312" CHECK (CFG IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010313" CHECK (STRT IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010314" CHECK (STATE IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010315" CHECK (UP IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010316" CHECK (URL IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010317" CHECK (HOSTIP IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010318" CHECK (VER IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010319" CHECK (LIC IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010320" CHECK (MAXCONN IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010321" CHECK (ASM IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010322" CHECK (MSGDSKRR IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010323" CHECK (MSGDSKWR IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010324" CHECK (MINASTORE IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010325" CHECK (STOREDIR IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010326" CHECK (MINSTORE IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010327" CHECK (SYNCMGRSZ IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010328" CHECK (FSYNC IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010329" CHECK (TRUNC IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010330" CHECK (FILTTYPE IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010331" CHECK (TRACETARG IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010332" CHECK (HBWAIT IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010333" CHECK (SECREADFILES IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010334" CHECK (HBMSGLEN IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010335" CHECK (RECTIMEOUT IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010336" CHECK (LOGMAXSZ IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010337" CHECK (LOGSZ IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010338" CHECK (LOGTRACE IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010339" CHECK (CONTRACE IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010340" CHECK (MAXMSGMEM IS NOT NULL);

ALTER TABLE "EMS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010341" CHECK (MAXSTATSMEM IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010417" CHECK (IDX IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010418" CHECK (EMS_SERVER_MRV_ID IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010419" CHECK (TIME IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010420" CHECK (TOTALCONN IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010421" CHECK (DURCONN IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010422" CHECK (MSGMEM IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010423" CHECK (MSGMEMPOOLED IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010424" CHECK (OBR IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010425" CHECK (IBR IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010426" CHECK (OMR IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010427" CHECK (OMC IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010428" CHECK (IMR IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010429" CHECK (IMC IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010430" CHECK (PMC IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010431" CHECK (PMS IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010432" CHECK (QC IS NOT NULL);

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "SYS_C0010433" CHECK (TC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "EMS_TOPIC_MRV__EN_UQ" UNIQUE ("EMS_SERVER_MRV_ID", "NAME");

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "EMS_TOPIC_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010436" CHECK (ID IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010437" CHECK (EMS_SERVER_MRV_ID IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010438" CHECK (NAME IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010439" CHECK (TIME IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010440" CHECK (ISTEMP IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010441" CHECK (ISSTATIC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010442" CHECK (PMC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010443" CHECK (PMS IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010444" CHECK (IMR IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010445" CHECK (OMR IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010446" CHECK (IBR IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010447" CHECK (OBR IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010448" CHECK (IMC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010449" CHECK (OMC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010450" CHECK (IBC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010451" CHECK (OBC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010452" CHECK (DC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010453" CHECK (ADC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "SYS_C0010454" CHECK (SC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010458" CHECK (IDX IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010459" CHECK (EMS_TOPIC_MRV_ID IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010460" CHECK (TIME IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010461" CHECK (PMC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010462" CHECK (PMS IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010463" CHECK (IMR IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010464" CHECK (OMR IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010465" CHECK (IBR IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010466" CHECK (OBR IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010467" CHECK (IMC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010468" CHECK (OMC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010469" CHECK (IBC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010470" CHECK (OBC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010471" CHECK (DC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010472" CHECK (ADC IS NOT NULL);

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "SYS_C0010473" CHECK (SC IS NOT NULL);

ALTER TABLE "EXECUTION" ADD CONSTRAINT "EXECUTION__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "EXECUTION" ADD CONSTRAINT "SYS_C0010213" CHECK (ID IS NOT NULL);

ALTER TABLE "EXECUTION" ADD CONSTRAINT "SYS_C0010214" CHECK (START_TIME IS NOT NULL);

ALTER TABLE "EXECUTION_LABEL" ADD CONSTRAINT "EXECUTION_LABEL__E_PK" PRIMARY KEY ("EXECUTION_ID");

ALTER TABLE "EXECUTION_LABEL" ADD CONSTRAINT "SYS_C0011067" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "EXECUTION_LABEL" ADD CONSTRAINT "SYS_C0011068" CHECK (LABEL IS NOT NULL);

ALTER TABLE "EXECUTION_LOCK" ADD CONSTRAINT "EXECUTION_LOCK__E_PK" PRIMARY KEY ("EXECUTION_ID");

ALTER TABLE "EXECUTION_LOCK" ADD CONSTRAINT "SYS_C0011061" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "EXECUTION_LOCK" ADD CONSTRAINT "SYS_C0011062" CHECK (PERSON_ID IS NOT NULL);

ALTER TABLE "EXECUTION_LOCK" ADD CONSTRAINT "SYS_C0011063" CHECK (TIME IS NOT NULL);

ALTER TABLE "EXECUTION_NOTE" ADD CONSTRAINT "EXECUTION_NOTE__E_PK" PRIMARY KEY ("EXECUTION_ID");

ALTER TABLE "EXECUTION_NOTE" ADD CONSTRAINT "SYS_C0011053" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "EXECUTION_NOTE" ADD CONSTRAINT "SYS_C0011054" CHECK (NOTE IS NOT NULL);

ALTER TABLE "FLEX_COL" ADD CONSTRAINT "FLEX_COL__P_PK" PRIMARY KEY ("PK");

ALTER TABLE "FLEX_COL" ADD CONSTRAINT "SYS_C0010482" CHECK (PK IS NOT NULL);

ALTER TABLE "FLEX_COL" ADD CONSTRAINT "SYS_C0010483" CHECK (METHOD IS NOT NULL);

ALTER TABLE "FLEX_DOUBLE" ADD CONSTRAINT "FLEX_DOUBLE__P_PK" PRIMARY KEY ("PK");

ALTER TABLE "FLEX_DOUBLE" ADD CONSTRAINT "SYS_C0010493" CHECK (PK IS NOT NULL);

ALTER TABLE "FLEX_DOUBLE" ADD CONSTRAINT "SYS_C0010494" CHECK (ROW_ IS NOT NULL);

ALTER TABLE "FLEX_DOUBLE" ADD CONSTRAINT "SYS_C0010495" CHECK (EVENT IS NOT NULL);

ALTER TABLE "FLEX_DOUBLE" ADD CONSTRAINT "SYS_C0010496" CHECK (DATA IS NOT NULL);

ALTER TABLE "FLEX_EVENT" ADD CONSTRAINT "FLEX_EVENT__P_PK" PRIMARY KEY ("PK");

ALTER TABLE "FLEX_EVENT" ADD CONSTRAINT "SYS_C0010486" CHECK (PK IS NOT NULL);

ALTER TABLE "FLEX_EVENT" ADD CONSTRAINT "SYS_C0010487" CHECK (MILLIS_1970_UTC IS NOT NULL);

ALTER TABLE "FLEX_LONG" ADD CONSTRAINT "FLEX_LONG__P_PK" PRIMARY KEY ("PK");

ALTER TABLE "FLEX_LONG" ADD CONSTRAINT "SYS_C0010500" CHECK (PK IS NOT NULL);

ALTER TABLE "FLEX_LONG" ADD CONSTRAINT "SYS_C0010501" CHECK (ROW_ IS NOT NULL);

ALTER TABLE "FLEX_LONG" ADD CONSTRAINT "SYS_C0010502" CHECK (EVENT IS NOT NULL);

ALTER TABLE "FLEX_LONG" ADD CONSTRAINT "SYS_C0010503" CHECK (DATA IS NOT NULL);

ALTER TABLE "FLEX_METHOD" ADD CONSTRAINT "FLEX_METHOD__P_PK" PRIMARY KEY ("PK");

ALTER TABLE "FLEX_METHOD" ADD CONSTRAINT "SYS_C0010478" CHECK (PK IS NOT NULL);

ALTER TABLE "FLEX_METHOD" ADD CONSTRAINT "SYS_C0010479" CHECK (TYPE IS NOT NULL);

ALTER TABLE "FLEX_ROW" ADD CONSTRAINT "FLEX_ROW__P_PK" PRIMARY KEY ("PK");

ALTER TABLE "FLEX_ROW" ADD CONSTRAINT "SYS_C0010489" CHECK (PK IS NOT NULL);

ALTER TABLE "FLEX_ROW" ADD CONSTRAINT "SYS_C0010490" CHECK (COL IS NOT NULL);

ALTER TABLE "FLEX_TYPE" ADD CONSTRAINT "FLEX_TYPE__P_PK" PRIMARY KEY ("PK");

ALTER TABLE "FLEX_TYPE" ADD CONSTRAINT "SYS_C0010476" CHECK (PK IS NOT NULL);

ALTER TABLE "ITER_HISTORY" ADD CONSTRAINT "ITER_HISTORY__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "ITER_HISTORY" ADD CONSTRAINT "SYS_C0010507" CHECK (ID IS NOT NULL);

ALTER TABLE "ITER_HISTORY" ADD CONSTRAINT "SYS_C0010508" CHECK (IT_NUM IS NOT NULL);

ALTER TABLE "ITER_HISTORY" ADD CONSTRAINT "SYS_C0010509" CHECK (TD_ROW_NUM IS NOT NULL);

ALTER TABLE "ITER_HISTORY" ADD CONSTRAINT "SYS_C0010510" CHECK (START_TIME IS NOT NULL);

ALTER TABLE "LOGMEASUREMENT_MRV" ADD CONSTRAINT "LOGMEASUREMENT_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "LOGMEASUREMENT_MRV" ADD CONSTRAINT "SYS_C0010513" CHECK (ID IS NOT NULL);

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "SYS_C0011071" CHECK (IDX IS NOT NULL);

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "SYS_C0011072" CHECK (LOGMEASUREMENT_MRV_ID IS NOT NULL);

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "SYS_C0011073" CHECK (TIME IS NOT NULL);

ALTER TABLE "PERFORM_CHARTS" ADD CONSTRAINT "PT_CHARTS__CP_PK" PRIMARY KEY ("CHART_NAME", "PROJECT_ID");

ALTER TABLE "PERFORM_CHARTS" ADD CONSTRAINT "SYS_C0010520" CHECK (CHART_NAME IS NOT NULL);

ALTER TABLE "PERFORM_CHARTS" ADD CONSTRAINT "SYS_C0010521" CHECK (PROJECT_ID IS NOT NULL);

ALTER TABLE "PERFORM_CHARTS" ADD CONSTRAINT "SYS_C0010522" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "PERFORM_CHARTS" ADD CONSTRAINT "SYS_C0010523" CHECK (DATA IS NOT NULL);

ALTER TABLE "PERFORM_EXECUTION" ADD CONSTRAINT "PERFORM_EXECUTION__E_PK" PRIMARY KEY ("EXECUTION_ID");

ALTER TABLE "PERFORM_EXECUTION" ADD CONSTRAINT "SYS_C0010527" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "PERFORM_EXECUTION" ADD CONSTRAINT "SYS_C0010528" CHECK (APPMODELITEM_ID IS NOT NULL);

ALTER TABLE "PERSON" ADD CONSTRAINT "PERSON__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "PERSON" ADD CONSTRAINT "PERSON__U_UQ" UNIQUE ("USERNAME");

ALTER TABLE "PERSON" ADD CONSTRAINT "SYS_C0011057" CHECK (ID IS NOT NULL);

ALTER TABLE "PERSON" ADD CONSTRAINT "SYS_C0011058" CHECK (USERNAME IS NOT NULL);

ALTER TABLE "PROBE_CONFIG" ADD CONSTRAINT "PROBE_CONFIG__E_PK" PRIMARY KEY ("EXECUTION_ID");

ALTER TABLE "PROBE_CONFIG" ADD CONSTRAINT "SYS_C0010532" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "PROJECT" ADD CONSTRAINT "PROJECT__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "PROJECT" ADD CONSTRAINT "PROJECT__U_UQ" UNIQUE ("UNIQUEID");

ALTER TABLE "PROJECT" ADD CONSTRAINT "SYS_C0010165" CHECK (ID IS NOT NULL);

ALTER TABLE "PROJECT" ADD CONSTRAINT "SYS_C0010166" CHECK (UNIQUEID IS NOT NULL);

ALTER TABLE "PROJECT" ADD CONSTRAINT "SYS_C0010167" CHECK (NAME IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "RVHI_MRV__GHHS_UQ" UNIQUE ("GRP", "HOSTIP", "HOSTNAME", "SERVICE");

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "RVHI_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010535" CHECK (ID IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010536" CHECK (GRP IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010537" CHECK (HOSTIP IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010538" CHECK (HOSTNAME IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010539" CHECK (SERVICE IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010540" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010541" CHECK (NETWORK IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010542" CHECK (SN IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010543" CHECK (OS IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010544" CHECK (VER IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010545" CHECK (HTTPADDR IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010546" CHECK (HTTPPORT IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010547" CHECK (UP IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010548" CHECK (USERNAME IS NOT NULL);

ALTER TABLE "RVHI_MRV" ADD CONSTRAINT "SYS_C0010549" CHECK (PROCESSID IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010552" CHECK (IDX IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010553" CHECK (RVHI_MRV_ID IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010554" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010555" CHECK (MS IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010556" CHECK (MR IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010557" CHECK (PS IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010558" CHECK (PR IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010559" CHECK (BS IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010560" CHECK (BR IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010561" CHECK (RX IS NOT NULL);

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "SYS_C0010562" CHECK (PM IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "RVTRACE_MULTICAST_MRV__5_UQ" UNIQUE ("RVTRACE_NETWORK_MRV_ID", "SERVICE", "HOSTIP", "HOSTNAME", "DESTINATION");

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "RVTRACE_MULTICAST_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "SYS_C0010570" CHECK (ID IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "SYS_C0010571" CHECK (RVTRACE_NETWORK_MRV_ID IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "SYS_C0010572" CHECK (SERVICE IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "SYS_C0010573" CHECK (HOSTIP IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "SYS_C0010574" CHECK (HOSTNAME IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "SYS_C0010575" CHECK (DESTINATION IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "SYS_C0010576" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010580" CHECK (IDX IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010581" CHECK (RVTRACE_MULTICAST_MRV_ID IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010582" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010583" CHECK (PACKETS IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010584" CHECK (BYTES IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010585" CHECK (RTPACKETS IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010586" CHECK (RTBYTES IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010587" CHECK (NULLPACKETS IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010588" CHECK (MISSEDPACKETS IS NOT NULL);

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "SYS_C0010589" CHECK (BADPACKETS IS NOT NULL);

ALTER TABLE "RVTRACE_NETWORK_MRV" ADD CONSTRAINT "RVTRACE_NETWORK_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "RVTRACE_NETWORK_MRV" ADD CONSTRAINT "RVTRACE_NETWORK_MRV__N_UQ" UNIQUE ("NETWORKID");

ALTER TABLE "RVTRACE_NETWORK_MRV" ADD CONSTRAINT "SYS_C0010565" CHECK (ID IS NOT NULL);

ALTER TABLE "RVTRACE_NETWORK_MRV" ADD CONSTRAINT "SYS_C0010566" CHECK (NETWORKID IS NOT NULL);

ALTER TABLE "RVTRACE_NETWORK_MRV" ADD CONSTRAINT "SYS_C0010567" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_NETWORK_TS" ADD CONSTRAINT "SYS_C0010592" CHECK (IDX IS NOT NULL);

ALTER TABLE "RVTRACE_NETWORK_TS" ADD CONSTRAINT "SYS_C0010593" CHECK (RVTRACE_NETWORK_MRV_ID IS NOT NULL);

ALTER TABLE "RVTRACE_NETWORK_TS" ADD CONSTRAINT "SYS_C0010594" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_NETWORK_TS" ADD CONSTRAINT "SYS_C0010595" CHECK (PACKETS IS NOT NULL);

ALTER TABLE "RVTRACE_NETWORK_TS" ADD CONSTRAINT "SYS_C0010596" CHECK (BYTES IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_MRV" ADD CONSTRAINT "RVTRACE_PTP_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "RVTRACE_PTP_MRV" ADD CONSTRAINT "RVTRACE_PTP_MRV__RSHH_UQ" UNIQUE ("RVTRACE_NETWORK_MRV_ID", "SERVICE", "HOSTIP", "HOSTNAME");

ALTER TABLE "RVTRACE_PTP_MRV" ADD CONSTRAINT "SYS_C0010599" CHECK (ID IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_MRV" ADD CONSTRAINT "SYS_C0010600" CHECK (RVTRACE_NETWORK_MRV_ID IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_MRV" ADD CONSTRAINT "SYS_C0010601" CHECK (SERVICE IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_MRV" ADD CONSTRAINT "SYS_C0010602" CHECK (HOSTIP IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_MRV" ADD CONSTRAINT "SYS_C0010603" CHECK (HOSTNAME IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_MRV" ADD CONSTRAINT "SYS_C0010604" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010608" CHECK (IDX IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010609" CHECK (RVTRACE_PTP_MRV_ID IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010610" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010611" CHECK (PCKSSENT IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010612" CHECK (BYTESSENT IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010613" CHECK (ACKREQSENT IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010614" CHECK (ACKSSENT IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010615" CHECK (NACKSSENT IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010616" CHECK (BADPCKSSENT IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010617" CHECK (PCKSRCVD IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010618" CHECK (BYTESRCVD IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010619" CHECK (ACKREQRCVD IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010620" CHECK (ACKSRCVD IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010621" CHECK (NACKSRCVD IS NOT NULL);

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "SYS_C0010622" CHECK (BADPCKSRCVD IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_MRV" ADD CONSTRAINT "RVTRACE_RETRANS_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "RVTRACE_RETRANS_MRV" ADD CONSTRAINT "RVTRACE_RETRANS_MRV__RSHH_UQ" UNIQUE ("RVTRACE_NETWORK_MRV_ID", "SERVICE", "HOSTIP", "HOSTNAME");

ALTER TABLE "RVTRACE_RETRANS_MRV" ADD CONSTRAINT "SYS_C0010625" CHECK (ID IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_MRV" ADD CONSTRAINT "SYS_C0010626" CHECK (RVTRACE_NETWORK_MRV_ID IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_MRV" ADD CONSTRAINT "SYS_C0010627" CHECK (SERVICE IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_MRV" ADD CONSTRAINT "SYS_C0010628" CHECK (HOSTIP IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_MRV" ADD CONSTRAINT "SYS_C0010629" CHECK (HOSTNAME IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_MRV" ADD CONSTRAINT "SYS_C0010630" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010634" CHECK (IDX IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010635" CHECK (RVTRACE_RETRANS_MRV_ID IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010636" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010637" CHECK (PCKSSENT IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010638" CHECK (SEQREQ IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010639" CHECK (REJSENT IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010640" CHECK (BADSENT IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010641" CHECK (PCKSRCVD IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010642" CHECK (SEQREQFROM IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010643" CHECK (REJRCVD IS NOT NULL);

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "SYS_C0010644" CHECK (BADRCVD IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_MRV" ADD CONSTRAINT "RVTRACE_SUBJECT_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "RVTRACE_SUBJECT_MRV" ADD CONSTRAINT "RVTRACE_SUBJECT_MRV__RSS_UQ" UNIQUE ("RVTRACE_NETWORK_MRV_ID", "SERVICE", "SUBJECT");

ALTER TABLE "RVTRACE_SUBJECT_MRV" ADD CONSTRAINT "SYS_C0010647" CHECK (ID IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_MRV" ADD CONSTRAINT "SYS_C0010648" CHECK (RVTRACE_NETWORK_MRV_ID IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_MRV" ADD CONSTRAINT "SYS_C0010649" CHECK (SERVICE IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_MRV" ADD CONSTRAINT "SYS_C0010650" CHECK (SUBJECT IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_MRV" ADD CONSTRAINT "SYS_C0010651" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_TS" ADD CONSTRAINT "SYS_C0010655" CHECK (IDX IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_TS" ADD CONSTRAINT "SYS_C0010656" CHECK (RVTRACE_SUBJECT_MRV_ID IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_TS" ADD CONSTRAINT "SYS_C0010657" CHECK (TIME IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_TS" ADD CONSTRAINT "SYS_C0010658" CHECK (MESSAGES IS NOT NULL);

ALTER TABLE "RVTRACE_SUBJECT_TS" ADD CONSTRAINT "SYS_C0010659" CHECK (BYTES IS NOT NULL);

ALTER TABLE "SCENARIO" ADD CONSTRAINT "SCENARIO__AUD_UQ" UNIQUE ("APPMODELITEM_ID", "UNIQUEID", "DISPLAY");

ALTER TABLE "SCENARIO" ADD CONSTRAINT "SCENARIO__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "SCENARIO" ADD CONSTRAINT "SYS_C0010662" CHECK (ID IS NOT NULL);

ALTER TABLE "SCENARIO_EXECUTION" ADD CONSTRAINT "SCENARIO_EXECUTION__E_PK" PRIMARY KEY ("EXECUTION_ID");

ALTER TABLE "SCENARIO_EXECUTION" ADD CONSTRAINT "SYS_C0010666" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "SCENARIO_EXECUTION" ADD CONSTRAINT "SYS_C0010667" CHECK (SCENARIO_ID IS NOT NULL);

ALTER TABLE "SONIC_AGENT_MRV" ADD CONSTRAINT "SONIC_AGENT_MRV__DC_UQ" UNIQUE ("DOMAIN", "CONTAINER");

ALTER TABLE "SONIC_AGENT_MRV" ADD CONSTRAINT "SONIC_AGENT_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "SONIC_AGENT_MRV" ADD CONSTRAINT "SYS_C0010671" CHECK (ID IS NOT NULL);

ALTER TABLE "SONIC_AGENT_MRV" ADD CONSTRAINT "SYS_C0010672" CHECK (DOMAIN IS NOT NULL);

ALTER TABLE "SONIC_AGENT_MRV" ADD CONSTRAINT "SYS_C0010673" CHECK (CONTAINER IS NOT NULL);

ALTER TABLE "SONIC_AGENT_MRV" ADD CONSTRAINT "SYS_C0010674" CHECK (TIME IS NOT NULL);

ALTER TABLE "SONIC_AGENT_TS" ADD CONSTRAINT "SYS_C0010677" CHECK (IDX IS NOT NULL);

ALTER TABLE "SONIC_AGENT_TS" ADD CONSTRAINT "SYS_C0010678" CHECK (SONIC_AGENT_MRV_ID IS NOT NULL);

ALTER TABLE "SONIC_AGENT_TS" ADD CONSTRAINT "SYS_C0010679" CHECK (TIME IS NOT NULL);

ALTER TABLE "SONIC_BROKER_MRV" ADD CONSTRAINT "SONIC_BROKER_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "SONIC_BROKER_MRV" ADD CONSTRAINT "SONIC_BROKER_MRV__SB_UQ" UNIQUE ("SONIC_AGENT_MRV_ID", "BROKER");

ALTER TABLE "SONIC_BROKER_MRV" ADD CONSTRAINT "SYS_C0010682" CHECK (ID IS NOT NULL);

ALTER TABLE "SONIC_BROKER_MRV" ADD CONSTRAINT "SYS_C0010683" CHECK (SONIC_AGENT_MRV_ID IS NOT NULL);

ALTER TABLE "SONIC_BROKER_MRV" ADD CONSTRAINT "SYS_C0010684" CHECK (BROKER IS NOT NULL);

ALTER TABLE "SONIC_BROKER_MRV" ADD CONSTRAINT "SYS_C0010685" CHECK (TIME IS NOT NULL);

ALTER TABLE "SONIC_BROKER_TS" ADD CONSTRAINT "SYS_C0010689" CHECK (IDX IS NOT NULL);

ALTER TABLE "SONIC_BROKER_TS" ADD CONSTRAINT "SYS_C0010690" CHECK (SONIC_BROKER_MRV_ID IS NOT NULL);

ALTER TABLE "SONIC_BROKER_TS" ADD CONSTRAINT "SYS_C0010691" CHECK (TIME IS NOT NULL);

ALTER TABLE "SONIC_CONNS_MRV" ADD CONSTRAINT "SONIC_CONNS_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "SONIC_CONNS_MRV" ADD CONSTRAINT "SONIC_CONNS_MRV__SBC_UQ" UNIQUE ("SONIC_AGENT_MRV_ID", "BROKER", "CONN");

ALTER TABLE "SONIC_CONNS_MRV" ADD CONSTRAINT "SYS_C0010694" CHECK (ID IS NOT NULL);

ALTER TABLE "SONIC_CONNS_MRV" ADD CONSTRAINT "SYS_C0010695" CHECK (SONIC_AGENT_MRV_ID IS NOT NULL);

ALTER TABLE "SONIC_CONNS_MRV" ADD CONSTRAINT "SYS_C0010696" CHECK (BROKER IS NOT NULL);

ALTER TABLE "SONIC_CONNS_MRV" ADD CONSTRAINT "SYS_C0010697" CHECK (CONN IS NOT NULL);

ALTER TABLE "SONIC_CONNS_MRV" ADD CONSTRAINT "SYS_C0010698" CHECK (TIME IS NOT NULL);

ALTER TABLE "SONIC_CONNS_TS" ADD CONSTRAINT "SYS_C0010702" CHECK (IDX IS NOT NULL);

ALTER TABLE "SONIC_CONNS_TS" ADD CONSTRAINT "SYS_C0010703" CHECK (SONIC_CONNS_MRV_ID IS NOT NULL);

ALTER TABLE "SONIC_CONNS_TS" ADD CONSTRAINT "SYS_C0010704" CHECK (TIME IS NOT NULL);

ALTER TABLE "SONIC_QUEUE_MRV" ADD CONSTRAINT "SONIC_QUEUE_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "SONIC_QUEUE_MRV" ADD CONSTRAINT "SONIC_QUEUE_MRV__SBQ_UQ" UNIQUE ("SONIC_AGENT_MRV_ID", "BROKER", "QUEUE");

ALTER TABLE "SONIC_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010707" CHECK (ID IS NOT NULL);

ALTER TABLE "SONIC_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010708" CHECK (SONIC_AGENT_MRV_ID IS NOT NULL);

ALTER TABLE "SONIC_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010709" CHECK (BROKER IS NOT NULL);

ALTER TABLE "SONIC_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010710" CHECK (QUEUE IS NOT NULL);

ALTER TABLE "SONIC_QUEUE_MRV" ADD CONSTRAINT "SYS_C0010711" CHECK (TIME IS NOT NULL);

ALTER TABLE "SONIC_QUEUE_TS" ADD CONSTRAINT "SYS_C0010715" CHECK (IDX IS NOT NULL);

ALTER TABLE "SONIC_QUEUE_TS" ADD CONSTRAINT "SYS_C0010716" CHECK (SONIC_QUEUE_MRV_ID IS NOT NULL);

ALTER TABLE "SONIC_QUEUE_TS" ADD CONSTRAINT "SYS_C0010717" CHECK (TIME IS NOT NULL);

ALTER TABLE "STATUS" ADD CONSTRAINT "STATUS__D_UQ" UNIQUE ("DISPLAY");

ALTER TABLE "STATUS" ADD CONSTRAINT "STATUS__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "STATUS" ADD CONSTRAINT "SYS_C0010209" CHECK (ID IS NOT NULL);

ALTER TABLE "STATUS" ADD CONSTRAINT "SYS_C0010210" CHECK (DISPLAY IS NOT NULL);

ALTER TABLE "SUITE_EXECUTION" ADD CONSTRAINT "SUITE_EXECUTION__I_PK" PRIMARY KEY ("EXECUTION_ID");

ALTER TABLE "SUITE_EXECUTION" ADD CONSTRAINT "SYS_C0010720" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "SUITE_EXECUTION" ADD CONSTRAINT "SYS_C0010721" CHECK (APPMODELITEM_ID IS NOT NULL);

ALTER TABLE "SYSSTAT_PROC_STATS_MRV" ADD CONSTRAINT "SYSSTAT_PROC_STATS_MRV__3_UQ" UNIQUE ("SYSSTAT_SYS_STATS_MRV_ID", "PROCESS_NAME", "PROCESS_ID");

ALTER TABLE "SYSSTAT_PROC_STATS_MRV" ADD CONSTRAINT "SYSSTAT_PROC_STATS_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "SYSSTAT_PROC_STATS_MRV" ADD CONSTRAINT "SYS_C0010740" CHECK (ID IS NOT NULL);

ALTER TABLE "SYSSTAT_PROC_STATS_MRV" ADD CONSTRAINT "SYS_C0010741" CHECK (SYSSTAT_SYS_STATS_MRV_ID IS NOT NULL);

ALTER TABLE "SYSSTAT_PROC_STATS_MRV" ADD CONSTRAINT "SYS_C0010742" CHECK (PROCESS_NAME IS NOT NULL);

ALTER TABLE "SYSSTAT_PROC_STATS_MRV" ADD CONSTRAINT "SYS_C0010743" CHECK (PROCESS_ID IS NOT NULL);

ALTER TABLE "SYSSTAT_PROC_STATS_MRV" ADD CONSTRAINT "SYS_C0010744" CHECK (TIME IS NOT NULL);

ALTER TABLE "SYSSTAT_PROC_STATS_TS" ADD CONSTRAINT "SYS_C0010748" CHECK (IDX IS NOT NULL);

ALTER TABLE "SYSSTAT_PROC_STATS_TS" ADD CONSTRAINT "SYS_C0010749" CHECK (SYSSTAT_PROC_STATS_MRV_ID IS NOT NULL);

ALTER TABLE "SYSSTAT_PROC_STATS_TS" ADD CONSTRAINT "SYS_C0010750" CHECK (TIME IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYSSTAT_SYS_STATS_MRV__H_UQ" UNIQUE ("HOSTNAME");

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYSSTAT_SYS_STATS_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010726" CHECK (ID IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010727" CHECK (HOSTNAME IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010728" CHECK (TIME IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010729" CHECK (AVG_CPU_LOAD IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010730" CHECK (USED_RAM IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010731" CHECK (DISK_BUSY IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010732" CHECK (NETWORK_USAGE IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010733" CHECK (NETWORK_ERRORS IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010734" CHECK (WAITING_THREADS IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010735" CHECK (MEMORY_SATURATION IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010736" CHECK (WAITING_DISK_OPS IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_MRV" ADD CONSTRAINT "SYS_C0010737" CHECK (USED_SWAP IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010753" CHECK (IDX IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010754" CHECK (SYSSTAT_SYS_STATS_MRV_ID IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010755" CHECK (TIME IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010756" CHECK (AVG_CPU_LOAD IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010757" CHECK (USED_RAM IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010758" CHECK (DISK_BUSY IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010759" CHECK (NETWORK_USAGE IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010760" CHECK (NETWORK_ERRORS IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010761" CHECK (WAITING_THREADS IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010762" CHECK (MEMORY_SATURATION IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010763" CHECK (WAITING_DISK_OPS IS NOT NULL);

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYS_C0010764" CHECK (USED_SWAP IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_MRV" ADD CONSTRAINT "SYS_C0010796" CHECK (ID IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_MRV" ADD CONSTRAINT "SYS_C0010797" CHECK (URL IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_MRV" ADD CONSTRAINT "SYS_C0010798" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_MRV" ADD CONSTRAINT "TESTENGINE_ENGINE_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "SYS_C0010800" CHECK (IDX IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "SYS_C0010801" CHECK (TESTENGINE_ENGINE_MRV_ID IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "SYS_C0010802" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "SYS_C0010803" CHECK (DB_WRITES IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "SYS_C0010804" CHECK (THREAD_POOL_USAGE IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "SYS_C0010805" CHECK (THREADS_USED IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "SYS_C0010806" CHECK (MEMORY_USAGE IS NOT NULL);

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "SYS_C0010807" CHECK (MEMORY_USED IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_MRV" ADD CONSTRAINT "SYS_C0010810" CHECK (ID IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_MRV" ADD CONSTRAINT "SYS_C0010811" CHECK (TESTENGINE_ENGINE_MRV_ID IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_MRV" ADD CONSTRAINT "SYS_C0010812" CHECK (SEQ_NAME IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_MRV" ADD CONSTRAINT "SYS_C0010813" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_MRV" ADD CONSTRAINT "TESTENGINE_SEQ_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010816" CHECK (IDX IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010817" CHECK (TESTENGINE_SEQ_MRV_ID IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010818" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010819" CHECK (AVG_DURATION IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010820" CHECK (MAX_DURATION IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010821" CHECK (MIN_DURATION IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010822" CHECK (AVG_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010823" CHECK (MAX_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010824" CHECK (MIN_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010825" CHECK (RATE_STARTED IS NOT NULL);

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "SYS_C0010826" CHECK (RATE_COMPLETED IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_MRV" ADD CONSTRAINT "SYS_C0010829" CHECK (ID IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_MRV" ADD CONSTRAINT "SYS_C0010830" CHECK (TESTENGINE_ENGINE_MRV_ID IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_MRV" ADD CONSTRAINT "SYS_C0010831" CHECK (TRANS_NAME IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_MRV" ADD CONSTRAINT "SYS_C0010832" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_MRV" ADD CONSTRAINT "TESTENGINE_TRANS_MRV_PK" PRIMARY KEY ("ID");

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010835" CHECK (IDX IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010836" CHECK (TESTENGINE_TRANS_MRV_ID IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010837" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010838" CHECK (AVG_DURATION IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010839" CHECK (MAX_DURATION IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010840" CHECK (MIN_DURATION IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010841" CHECK (AVG_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010842" CHECK (MAX_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010843" CHECK (MIN_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010844" CHECK (RATE_STARTED IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010845" CHECK (RATE_PASSED IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010846" CHECK (RATE_FAILED IS NOT NULL);

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "SYS_C0010847" CHECK (RATE_TIMEOUT IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_MRV" ADD CONSTRAINT "SYS_C0010850" CHECK (ID IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_MRV" ADD CONSTRAINT "SYS_C0010851" CHECK (APPMODELITEM_ID IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_MRV" ADD CONSTRAINT "SYS_C0010852" CHECK (SEQ_NAME IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_MRV" ADD CONSTRAINT "SYS_C0010853" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_MRV" ADD CONSTRAINT "TESTER_SEQ_END_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010856" CHECK (IDX IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010857" CHECK (TESTER_SEQ_END_MRV_ID IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010858" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010859" CHECK (AVG_DURATION IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010860" CHECK (MAX_DURATION IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010861" CHECK (MIN_DURATION IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010862" CHECK (AVG_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010863" CHECK (MAX_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010864" CHECK (MIN_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010865" CHECK (RATE_ENDED IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010866" CHECK (RATE_PASSED IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010867" CHECK (RATE_FAILED IS NOT NULL);

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "SYS_C0010868" CHECK (RATE_TIMEOUT IS NOT NULL);

ALTER TABLE "TESTER_SEQ_MRV" ADD CONSTRAINT "SYS_C0010871" CHECK (ID IS NOT NULL);

ALTER TABLE "TESTER_SEQ_MRV" ADD CONSTRAINT "SYS_C0010872" CHECK (APPMODELITEM_ID IS NOT NULL);

ALTER TABLE "TESTER_SEQ_MRV" ADD CONSTRAINT "SYS_C0010873" CHECK (SEQ_NAME IS NOT NULL);

ALTER TABLE "TESTER_SEQ_MRV" ADD CONSTRAINT "SYS_C0010874" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTER_SEQ_MRV" ADD CONSTRAINT "TESTER_SEQ_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010877" CHECK (IDX IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010878" CHECK (TESTER_SEQ_MRV_ID IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010879" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010880" CHECK (AVG_DURATION IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010881" CHECK (MAX_DURATION IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010882" CHECK (MIN_DURATION IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010883" CHECK (AVG_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010884" CHECK (MAX_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010885" CHECK (MIN_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010886" CHECK (RATE_STARTED IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010887" CHECK (RATE_PASSED IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010888" CHECK (RATE_FAILED IS NOT NULL);

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "SYS_C0010889" CHECK (RATE_TIMEOUT IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_MRV" ADD CONSTRAINT "SYS_C0010892" CHECK (ID IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_MRV" ADD CONSTRAINT "SYS_C0010893" CHECK (APPMODELITEM_ID IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_MRV" ADD CONSTRAINT "SYS_C0010894" CHECK (TRANS_NAME IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_MRV" ADD CONSTRAINT "SYS_C0010895" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_MRV" ADD CONSTRAINT "TESTER_TRANS_END_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010898" CHECK (IDX IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010899" CHECK (TESTER_TRANS_END_MRV_ID IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010900" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010901" CHECK (AVG_DURATION IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010902" CHECK (MAX_DURATION IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010903" CHECK (MIN_DURATION IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010904" CHECK (AVG_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010905" CHECK (MAX_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010906" CHECK (MIN_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010907" CHECK (RATE_ENDED IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010908" CHECK (RATE_PASSED IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010909" CHECK (RATE_FAILED IS NOT NULL);

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "SYS_C0010910" CHECK (RATE_TIMEOUT IS NOT NULL);

ALTER TABLE "TESTER_TRANS_MRV" ADD CONSTRAINT "SYS_C0010913" CHECK (ID IS NOT NULL);

ALTER TABLE "TESTER_TRANS_MRV" ADD CONSTRAINT "SYS_C0010914" CHECK (APPMODELITEM_ID IS NOT NULL);

ALTER TABLE "TESTER_TRANS_MRV" ADD CONSTRAINT "SYS_C0010915" CHECK (TRANS_NAME IS NOT NULL);

ALTER TABLE "TESTER_TRANS_MRV" ADD CONSTRAINT "SYS_C0010916" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTER_TRANS_MRV" ADD CONSTRAINT "TESTER_TRANS_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010919" CHECK (IDX IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010920" CHECK (TESTER_TRANS_MRV_ID IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010921" CHECK (TIME IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010922" CHECK (AVG_DURATION IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010923" CHECK (MAX_DURATION IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010924" CHECK (MIN_DURATION IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010925" CHECK (AVG_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010926" CHECK (MAX_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010927" CHECK (MIN_DURATION_FAIL IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010928" CHECK (RATE_STARTED IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010929" CHECK (RATE_PASSED IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010930" CHECK (RATE_FAILED IS NOT NULL);

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "SYS_C0010931" CHECK (RATE_TIMEOUT IS NOT NULL);

ALTER TABLE "TEST_CYCLE" ADD CONSTRAINT "SYS_C0010767" CHECK (ID IS NOT NULL);

ALTER TABLE "TEST_CYCLE" ADD CONSTRAINT "SYS_C0010768" CHECK (EXECUTION_ID IS NOT NULL);

ALTER TABLE "TEST_CYCLE" ADD CONSTRAINT "SYS_C0010769" CHECK (DISPLAY IS NOT NULL);

ALTER TABLE "TEST_CYCLE" ADD CONSTRAINT "SYS_C0010770" CHECK (IS_CLOSED IS NOT NULL);

ALTER TABLE "TEST_CYCLE" ADD CONSTRAINT "SYS_C0010771" CHECK (CREATED_BY IS NOT NULL);

ALTER TABLE "TEST_CYCLE" ADD CONSTRAINT "SYS_C0010772" CHECK (CREATE_DATE IS NOT NULL);

ALTER TABLE "TEST_CYCLE" ADD CONSTRAINT "TEST_CYCLE__D_UQ" UNIQUE ("DISPLAY");

ALTER TABLE "TEST_CYCLE" ADD CONSTRAINT "TEST_CYCLE__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "SYS_C0010776" CHECK (ID IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "SYS_C0010777" CHECK (TEST_CYCLE_ID IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "SYS_C0010778" CHECK (PROJECT_ID IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "SYS_C0010779" CHECK (JOINED_DATE IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "SYS_C0010780" CHECK (ALL_ENVIRONMENTS IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "SYS_C0010781" CHECK (ALLOW_EXTERNAL_TOOLS IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "SYS_C0010782" CHECK (IS_JOINED IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "TEST_CYCLE_PROJECT__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "TEST_CYCLE_PROJECT__TP_UQ" UNIQUE ("TEST_CYCLE_ID", "PROJECT_ID");

ALTER TABLE "TEST_CYCLE_PROJECT_ENV" ADD CONSTRAINT "SYS_C0010787" CHECK (TEST_CYCLE_PROJECT_ID IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT_ENV" ADD CONSTRAINT "SYS_C0010788" CHECK (ENVIRONMENT IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT_ENV" ADD CONSTRAINT "TEST_CYCLE_PROJECT_ENV__TE_PK" PRIMARY KEY ("TEST_CYCLE_PROJECT_ID", "ENVIRONMENT");

ALTER TABLE "TEST_CYCLE_PROJECT_USER" ADD CONSTRAINT "SYS_C0010791" CHECK (TEST_CYCLE_PROJECT_ID IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT_USER" ADD CONSTRAINT "SYS_C0010792" CHECK (USERNAME IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT_USER" ADD CONSTRAINT "SYS_C0010793" CHECK (JOINED_DATE IS NOT NULL);

ALTER TABLE "TEST_CYCLE_PROJECT_USER" ADD CONSTRAINT "TEST_CYCLE_PROJECT_USR__TU_PK" PRIMARY KEY ("TEST_CYCLE_PROJECT_ID", "USERNAME");

ALTER TABLE "TRANSACTION" ADD CONSTRAINT "SYS_C0010934" CHECK (ID IS NOT NULL);

ALTER TABLE "TRANSACTION" ADD CONSTRAINT "SYS_C0010935" CHECK (NAME IS NOT NULL);

ALTER TABLE "TRANSACTION" ADD CONSTRAINT "TRANSACTION__I_PK" PRIMARY KEY	("ID");

ALTER TABLE "TRANSACTION" ADD CONSTRAINT "TRANSACTION__N_UQ" UNIQUE ("NAME");

ALTER TABLE "TRANS_HISTORY" ADD CONSTRAINT "SYS_C0010938" CHECK (ID IS NOT NULL);

ALTER TABLE "TRANS_HISTORY" ADD CONSTRAINT "SYS_C0010939" CHECK (TRANS_ID IS NOT NULL);

ALTER TABLE "TRANS_HISTORY" ADD CONSTRAINT "SYS_C0010940" CHECK (START_TIME IS NOT NULL);

ALTER TABLE "TRANS_HISTORY" ADD CONSTRAINT "TRANS_HISTORY__I_PK" PRIMARY KEY	("ID");

ALTER TABLE "WMBROKER_B_MRV" ADD CONSTRAINT "SYS_C0010944" CHECK (ID IS NOT NULL);

ALTER TABLE "WMBROKER_B_MRV" ADD CONSTRAINT "SYS_C0010945" CHECK (HOST IS NOT NULL);

ALTER TABLE "WMBROKER_B_MRV" ADD CONSTRAINT "SYS_C0010946" CHECK (PORT IS NOT NULL);

ALTER TABLE "WMBROKER_B_MRV" ADD CONSTRAINT "SYS_C0010947" CHECK (BROKER IS NOT NULL);

ALTER TABLE "WMBROKER_B_MRV" ADD CONSTRAINT "SYS_C0010948" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMBROKER_B_MRV" ADD CONSTRAINT "WMBROKER_B_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "WMBROKER_B_TS" ADD CONSTRAINT "SYS_C0010950" CHECK (IDX IS NOT NULL);

ALTER TABLE "WMBROKER_B_TS" ADD CONSTRAINT "SYS_C0010951" CHECK (WMBROKER_B_MRV_ID IS NOT NULL);

ALTER TABLE "WMBROKER_B_TS" ADD CONSTRAINT "SYS_C0010952" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMBROKER_CG_MRV" ADD CONSTRAINT "SYS_C0010966" CHECK (ID IS NOT NULL);

ALTER TABLE "WMBROKER_CG_MRV" ADD CONSTRAINT "SYS_C0010967" CHECK (WMBROKER_B_MRV_ID IS NOT NULL);

ALTER TABLE "WMBROKER_CG_MRV" ADD CONSTRAINT "SYS_C0010968" CHECK (CLIENT_GROUP IS NOT NULL);

ALTER TABLE "WMBROKER_CG_MRV" ADD CONSTRAINT "SYS_C0010969" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMBROKER_CG_MRV" ADD CONSTRAINT "WMBROKER_CG_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "WMBROKER_CG_TS" ADD CONSTRAINT "SYS_C0010972" CHECK (IDX IS NOT NULL);

ALTER TABLE "WMBROKER_CG_TS" ADD CONSTRAINT "SYS_C0010973" CHECK (WMBROKER_CG_MRV_ID IS NOT NULL);

ALTER TABLE "WMBROKER_CG_TS" ADD CONSTRAINT "SYS_C0010974" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMBROKER_C_MRV" ADD CONSTRAINT "SYS_C0010955" CHECK (ID IS NOT NULL);

ALTER TABLE "WMBROKER_C_MRV" ADD CONSTRAINT "SYS_C0010956" CHECK (WMBROKER_B_MRV_ID IS NOT NULL);

ALTER TABLE "WMBROKER_C_MRV" ADD CONSTRAINT "SYS_C0010957" CHECK (CLIENT IS NOT NULL);

ALTER TABLE "WMBROKER_C_MRV" ADD CONSTRAINT "SYS_C0010958" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMBROKER_C_MRV" ADD CONSTRAINT "WMBROKER_C_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "WMBROKER_C_TS" ADD CONSTRAINT "SYS_C0010961" CHECK (IDX IS NOT NULL);

ALTER TABLE "WMBROKER_C_TS" ADD CONSTRAINT "SYS_C0010962" CHECK (WMBROKER_C_MRV_ID IS NOT NULL);

ALTER TABLE "WMBROKER_C_TS" ADD CONSTRAINT "SYS_C0010963" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMBROKER_ET_MRV" ADD CONSTRAINT "SYS_C0010977" CHECK (ID IS NOT NULL);

ALTER TABLE "WMBROKER_ET_MRV" ADD CONSTRAINT "SYS_C0010978" CHECK (WMBROKER_B_MRV_ID IS NOT NULL);

ALTER TABLE "WMBROKER_ET_MRV" ADD CONSTRAINT "SYS_C0010979" CHECK (EVENT_TYPE IS NOT NULL);

ALTER TABLE "WMBROKER_ET_MRV" ADD CONSTRAINT "SYS_C0010980" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMBROKER_ET_MRV" ADD CONSTRAINT "WMBROKER_ET_MRV__I_PK" PRIMARY KEY	("ID");

ALTER TABLE "WMBROKER_ET_TS" ADD CONSTRAINT "SYS_C0010983" CHECK (IDX IS NOT NULL);

ALTER TABLE "WMBROKER_ET_TS" ADD CONSTRAINT "SYS_C0010984" CHECK (WMBROKER_ET_MRV_ID IS NOT NULL);

ALTER TABLE "WMBROKER_ET_TS" ADD CONSTRAINT "SYS_C0010985" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010988" CHECK (ID IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010989" CHECK (HOST IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010990" CHECK (PORT IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010991" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010992" CHECK (CURR_SYS_THREADS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010993" CHECK (PEAK_SYS_THREADS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010994" CHECK (CURR_SVC_THREADS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010995" CHECK (PEAK_SVC_THREADS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010996" CHECK (CURR_TOT_SESS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010997" CHECK (PEAK_TOT_SESS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010998" CHECK (CURR_LIC_SESS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0010999" CHECK (PEAK_LIC_SESS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011000" CHECK (COMPLETED_REQS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011001" CHECK (AVG_REQ_TIME IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011002" CHECK (TOT_AVG_REQ_TIME IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011003" CHECK (SVC_ERR_COUNT IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011004" CHECK (START_REQ_RATE IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011005" CHECK (END_REQ_RATE IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011006" CHECK (TOT_JVM_MEM IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011007" CHECK (USED_JVM_MEM IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011008" CHECK (FREE_JVM_MEM IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011009" CHECK (UPTIME IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011010" CHECK (TOT_INVOKED IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011011" CHECK (CACHED_SVC IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "SYS_C0011012" CHECK (PREFETCHED_SVC IS NOT NULL);

ALTER TABLE "WMIS_SERVER_MRV" ADD CONSTRAINT "WMIS_SERVER_MRV__I_PK" PRIMARY KEY	("ID");

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011014" CHECK (IDX IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011015" CHECK (WMIS_SERVER_MRV_ID IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011016" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011017" CHECK (CURR_SYS_THREADS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011018" CHECK (PEAK_SYS_THREADS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011019" CHECK (CURR_SVC_THREADS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011020" CHECK (PEAK_SVC_THREADS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011021" CHECK (CURR_TOT_SESS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011022" CHECK (PEAK_TOT_SESS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011023" CHECK (CURR_LIC_SESS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011024" CHECK (PEAK_LIC_SESS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011025" CHECK (COMPLETED_REQS IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011026" CHECK (AVG_REQ_TIME IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011027" CHECK (TOT_AVG_REQ_TIME IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011028" CHECK (SVC_ERR_COUNT IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011029" CHECK (START_REQ_RATE IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011030" CHECK (END_REQ_RATE IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011031" CHECK (TOT_JVM_MEM IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011032" CHECK (USED_JVM_MEM IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011033" CHECK (FREE_JVM_MEM IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011034" CHECK (UPTIME IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011035" CHECK (TOT_INVOKED IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011036" CHECK (CACHED_SVC IS NOT NULL);

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "SYS_C0011037" CHECK (PREFETCHED_SVC IS NOT NULL);

ALTER TABLE "WMIS_SERVICE_MRV" ADD CONSTRAINT "SYS_C0011040" CHECK (ID IS NOT NULL);

ALTER TABLE "WMIS_SERVICE_MRV" ADD CONSTRAINT "SYS_C0011041" CHECK (WMIS_SERVER_MRV_ID IS NOT NULL);

ALTER TABLE "WMIS_SERVICE_MRV" ADD CONSTRAINT "SYS_C0011042" CHECK (SERVICE IS NOT NULL);

ALTER TABLE "WMIS_SERVICE_MRV" ADD CONSTRAINT "SYS_C0011043" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMIS_SERVICE_MRV" ADD CONSTRAINT "SYS_C0011044" CHECK (INVOKED IS NOT NULL);

ALTER TABLE "WMIS_SERVICE_MRV" ADD CONSTRAINT "WMIS_SERVICE_MRV__I_PK" PRIMARY KEY ("ID");

ALTER TABLE "WMIS_SERVICE_TS" ADD CONSTRAINT "SYS_C0011047" CHECK (IDX IS NOT NULL);

ALTER TABLE "WMIS_SERVICE_TS" ADD CONSTRAINT "SYS_C0011048" CHECK (WMIS_SERVICE_MRV_ID IS NOT NULL);

ALTER TABLE "WMIS_SERVICE_TS" ADD CONSTRAINT "SYS_C0011049" CHECK (TIME IS NOT NULL);

ALTER TABLE "WMIS_SERVICE_TS" ADD CONSTRAINT "SYS_C0011050" CHECK (INVOKED IS NOT NULL);

ALTER TABLE "ACTION" ADD CONSTRAINT "ACTION__ACTIONTYPE__FK1" FOREIGN KEY
	("ACTIONTYPE_ID")
	REFERENCES "ACTIONTYPE"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "ACTION" ADD CONSTRAINT "ACTION__APPMODELITEM__FK1" FOREIGN KEY
	("APPMODELITEM_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "ACTION_EXECUTION" ADD CONSTRAINT "ACTION_EXECUTION__ACTION_EXECU" FOREIGN KEY
	("PARENT_ID")
	REFERENCES "ACTION_EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "ACTION_EXECUTION" ADD CONSTRAINT "ACTION_EXECUTION__ACTION__FK1" FOREIGN KEY
	("ACTION_ID")
	REFERENCES "ACTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "APPMODELITEM" ADD CONSTRAINT "APPMODELITEM__APPMODELITEM__FK" FOREIGN KEY
	("PARENT_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "APPMODELITEM" ADD CONSTRAINT "APPMODELITEM__APPMODELTYPE__FK" FOREIGN KEY
	("APPMODELTYPE_ID")
	REFERENCES "APPMODELTYPE"
	("ID");

ALTER TABLE "APPMODELITEM" ADD CONSTRAINT "APPMODELITEM__PROJECT__FK1" FOREIGN KEY
	("PROJECT_ID")
	REFERENCES "PROJECT"
	("ID");

ALTER TABLE "BWACTIVITY_MRV" ADD CONSTRAINT "BWACTIVITY_MRV__BWHOST_MRV__FK" FOREIGN KEY
	("BWHOST_MRV_ID")
	REFERENCES "BWHOST_MRV"
	("ID");

ALTER TABLE "BWACTIVITY_TS" ADD CONSTRAINT "BWACTIVITY_TS__BWACTIVITY_MRV_" FOREIGN KEY
	("BWACTIVITY_MRV_ID")
	REFERENCES "BWACTIVITY_MRV"
	("ID");

ALTER TABLE "BWACTIVITY_TS" ADD CONSTRAINT "BWACTIVITY_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "BWHOST_TS" ADD CONSTRAINT "BWHOST_TS__BWHOST_MRV__FK1" FOREIGN KEY
	("BWHOST_MRV_ID")
	REFERENCES "BWHOST_MRV"
	("ID");

ALTER TABLE "BWHOST_TS" ADD CONSTRAINT "BWHOST_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "BWPROC_MRV" ADD CONSTRAINT "BWPROC_MRV__BWHOST_MRV__FK1" FOREIGN KEY
	("BWHOST_MRV_ID")
	REFERENCES "BWHOST_MRV"
	("ID");

ALTER TABLE "BWPROC_TS" ADD CONSTRAINT "BWPROC_TS__BWPROC_MRV__FK1" FOREIGN KEY
	("BWPROC_MRV_ID")
	REFERENCES "BWPROC_MRV"
	("ID");

ALTER TABLE "BWPROC_TS" ADD CONSTRAINT "BWPROC_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "COVERAGE" ADD CONSTRAINT "COVERAGE__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "DETAIL_EXECUTION" ADD CONSTRAINT "DETAIL_EXECUTION__ACTION_EXECU" FOREIGN KEY
	("ACTION_EXECUTION_ID")
	REFERENCES "ACTION_EXECUTION"
	("ID");

ALTER TABLE "DETAIL_EXECUTION" ADD CONSTRAINT "DETAIL_EXECUTION__APPMODELITEM" FOREIGN KEY
	("APPMODELITEM_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "DETAIL_EXECUTION" ADD CONSTRAINT "DETAIL_EXECUTION__EXECUTION__F" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "DQGROUP_TS" ADD CONSTRAINT "DQGROUP_TS__DQGROUP_MRV__FK1" FOREIGN KEY
	("DQGROUP_MRV_ID")
	REFERENCES "DQGROUP_MRV"
	("ID");

ALTER TABLE "DQGROUP_TS" ADD CONSTRAINT "DQGROUP_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "DQMEMBER_MRV" ADD CONSTRAINT "DQMEMBER_MRV__DQGROUP_MRV__FK" FOREIGN KEY
	("DQGROUP_MRV_ID")
	REFERENCES "DQGROUP_MRV"
	("ID");

ALTER TABLE "DQMEMBER_TS" ADD CONSTRAINT "DQMEMBER_TS__DQMEMBER_MRV__FK" FOREIGN KEY
	("DQMEMBER_MRV_ID")
	REFERENCES "DQMEMBER_MRV"
	("ID");

ALTER TABLE "DQMEMBER_TS" ADD CONSTRAINT "DQMEMBER_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "DT" ADD CONSTRAINT "DT__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "DT_HISTORY" ADD CONSTRAINT "DT_HISTORY__AGENT__FK1" FOREIGN KEY
	("AGENT_ID")
	REFERENCES "AGENT"
	("ID");

ALTER TABLE "DT_HISTORY" ADD CONSTRAINT "DT_HISTORY__DT__FK1" FOREIGN KEY
	("DT_ID")
	REFERENCES "DT"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "EMS_QUEUE_MRV" ADD CONSTRAINT "EMS_QUEUE_MRV__EMS_SERVER_MRV" FOREIGN KEY
	("EMS_SERVER_MRV_ID")
	REFERENCES "EMS_SERVER_MRV"
	("ID");

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "EMS_QUEUE_TS__EMS_QUEUE_MRV__" FOREIGN KEY
	("EMS_QUEUE_MRV_ID")
	REFERENCES "EMS_QUEUE_MRV"
	("ID");

ALTER TABLE "EMS_QUEUE_TS" ADD CONSTRAINT "EMS_QUEUE_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "EMS_ROUTE_MRV" ADD CONSTRAINT "EMS_ROUTE_MRV__EMS_SERVER_MRV" FOREIGN KEY
	("EMS_SERVER_MRV_ID")
	REFERENCES "EMS_SERVER_MRV"
	("ID");

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "EMS_ROUTE_TS__EMS_ROUTE_MRV__" FOREIGN KEY
	("EMS_ROUTE_MRV_ID")
	REFERENCES "EMS_ROUTE_MRV"
	("ID");

ALTER TABLE "EMS_ROUTE_TS" ADD CONSTRAINT "EMS_ROUTE_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "EMS_SERVER_TS__EMS_SERVER_MRV" FOREIGN KEY
	("EMS_SERVER_MRV_ID")
	REFERENCES "EMS_SERVER_MRV"
	("ID");

ALTER TABLE "EMS_SERVER_TS" ADD CONSTRAINT "EMS_SERVER_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "EMS_TOPIC_MRV" ADD CONSTRAINT "EMS_TOPIC_MRV__EMS_SERVER_MRV" FOREIGN KEY
	("EMS_SERVER_MRV_ID")
	REFERENCES "EMS_SERVER_MRV"
	("ID");

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "EMS_TOPIC_TS__EMS_TOPIC_MRV__" FOREIGN KEY
	("EMS_TOPIC_MRV_ID")
	REFERENCES "EMS_TOPIC_MRV"
	("ID");

ALTER TABLE "EMS_TOPIC_TS" ADD CONSTRAINT "EMS_TOPIC_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "EXECUTION" ADD CONSTRAINT "EXECUTION__APPMODELITEM__FK1" FOREIGN KEY
	("ENVIRONMENT")
	REFERENCES "APPMODELITEM"
	("ID");

ALTER TABLE "EXECUTION" ADD CONSTRAINT "EXECUTION__EXECUTION__FK1" FOREIGN KEY
	("PARENT_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "EXECUTION" ADD CONSTRAINT "EXECUTION__EXECUTION__FK2" FOREIGN KEY
	("ROOT_ID")
	REFERENCES "EXECUTION"
	("ID");

ALTER TABLE "EXECUTION" ADD CONSTRAINT "EXECUTION__STATUS__FK1" FOREIGN KEY
	("STATUS_ID")
	REFERENCES "STATUS"
	("ID");

ALTER TABLE "EXECUTION_LABEL" ADD CONSTRAINT "EXECUTION_LABEL__EXECUTION__F" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "EXECUTION_LOCK" ADD CONSTRAINT "EXECUTION_LOCK__EXECUTION__FK" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID");

ALTER TABLE "EXECUTION_LOCK" ADD CONSTRAINT "EXECUTION_LOCK__PERSON__FK1" FOREIGN KEY
	("PERSON_ID")
	REFERENCES "PERSON"
	("ID");

ALTER TABLE "EXECUTION_NOTE" ADD CONSTRAINT "EXECUTION_NOTE__EXECUTION__FK" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "FLEX_COL" ADD CONSTRAINT "FLEX_COL__FLEX_METHOD__FK1" FOREIGN KEY
	("METHOD")
	REFERENCES "FLEX_METHOD"
	("PK");

ALTER TABLE "FLEX_DOUBLE" ADD CONSTRAINT "FLEX_DOUBLE__FLEX_EVENT__FK1" FOREIGN KEY
	("EVENT")
	REFERENCES "FLEX_EVENT"
	("PK");

ALTER TABLE "FLEX_DOUBLE" ADD CONSTRAINT "FLEX_DOUBLE__FLEX_ROW__FK1" FOREIGN KEY
	("ROW_")
	REFERENCES "FLEX_ROW"
	("PK");

ALTER TABLE "FLEX_LONG" ADD CONSTRAINT "FLEX_LONG__FLEX_EVENT__FK1" FOREIGN KEY
	("EVENT")
	REFERENCES "FLEX_EVENT"
	("PK");

ALTER TABLE "FLEX_LONG" ADD CONSTRAINT "FLEX_LONG__FLEX_ROW__FK1" FOREIGN KEY
	("ROW_")
	REFERENCES "FLEX_ROW"
	("PK");

ALTER TABLE "FLEX_METHOD" ADD CONSTRAINT "FLEX_METHOD__FLEX_TYPE__FK1" FOREIGN KEY
	("TYPE")
	REFERENCES "FLEX_TYPE"
	("PK");

ALTER TABLE "FLEX_ROW" ADD CONSTRAINT "FLEX_ROW__FLEX_COL__FK1" FOREIGN KEY
	("COL")
	REFERENCES "FLEX_COL"
	("PK");

ALTER TABLE "ITER_HISTORY" ADD CONSTRAINT "ITER_HISTORY__DT_HISTORY__FK1" FOREIGN KEY
	("DT_HIST_ID")
	REFERENCES "DT_HISTORY"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_MRV" ADD CONSTRAINT "LGMSRMNT_MRV__CNTER_DTLS__FK1" FOREIGN KEY
	("ATTR_ID_1")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_MRV" ADD CONSTRAINT "LGMSRMNT_MRV__CNTR_DTLS__FK2" FOREIGN KEY
	("ATTR_ID_2")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_MRV" ADD CONSTRAINT "LGMSRMNT_MRV__CNTR_DTLS__FK3" FOREIGN KEY
	("ATTR_ID_3")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_MRV" ADD CONSTRAINT "LGMSRMNT_MRV__CNTR_DTLS__FK4" FOREIGN KEY
	("ATTR_ID_4")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_MRV" ADD CONSTRAINT "LGMSRMNT_MRV__CNTR_DTLS__FK5" FOREIGN KEY
	("ATTR_ID_5")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK1" FOREIGN KEY
	("CTR_ID_1")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK10" FOREIGN KEY
	("STRCTR_ID_2")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK11" FOREIGN KEY
	("STRCTR_ID_3")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK12" FOREIGN KEY
	("STRCTR_ID_4")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK2" FOREIGN KEY
	("CTR_ID_2")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK3" FOREIGN KEY
	("CTR_ID_3")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK4" FOREIGN KEY
	("CTR_ID_4")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK5" FOREIGN KEY
	("CTR_ID_5")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK6" FOREIGN KEY
	("CTR_ID_6")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK7" FOREIGN KEY
	("CTR_ID_7")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK8" FOREIGN KEY
	("CTR_ID_8")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__CNTR_DTLS__FK9" FOREIGN KEY
	("STRCTR_ID_1")
	REFERENCES "COUNTER_DETAILS"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "LOGMEASUREMENT_TS" ADD CONSTRAINT "LGMSRMNT_TS__LGMSRMNT_MRV__FK" FOREIGN KEY
	("LOGMEASUREMENT_MRV_ID")
	REFERENCES "LOGMEASUREMENT_MRV"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "PERFORM_CHARTS" ADD CONSTRAINT "PERFORM_CHARTS__EXECUTION__F" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "PERFORM_CHARTS" ADD CONSTRAINT "PERFORM_CHARTS__PROJECT__FK1" FOREIGN KEY
	("PROJECT_ID")
	REFERENCES "PROJECT"
	("ID");

ALTER TABLE "PERFORM_EXECUTION" ADD CONSTRAINT "PERFORM_EXECUTION__APPMODELIT" FOREIGN KEY
	("APPMODELITEM_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "PERFORM_EXECUTION" ADD CONSTRAINT "PERFORM_EXECUTION__EXECUTION_" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "PROBE_CONFIG" ADD CONSTRAINT "PROBE_CONFIG__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "RVHI_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "RVHI_TS" ADD CONSTRAINT "RVHI_TS__RVHI_MRV__FK1" FOREIGN KEY
	("RVHI_MRV_ID")
	REFERENCES "RVHI_MRV"
	("ID");

ALTER TABLE "RVTRACE_MULTICAST_MRV" ADD CONSTRAINT "RVTRC_MLTCST_MRV__RVTRC_NTWRK" FOREIGN KEY
	("RVTRACE_NETWORK_MRV_ID")
	REFERENCES "RVTRACE_NETWORK_MRV"
	("ID");

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "RVTRACE_MULTICAST_TS__EXECUTI" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "RVTRACE_MULTICAST_TS" ADD CONSTRAINT "RVTRACE_MULTICAST_TS__RVTRACE" FOREIGN KEY
	("RVTRACE_MULTICAST_MRV_ID")
	REFERENCES "RVTRACE_MULTICAST_MRV"
	("ID");

ALTER TABLE "RVTRACE_NETWORK_TS" ADD CONSTRAINT "RVTRACE_NETWORK_TS__EXECUTION" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "RVTRACE_NETWORK_TS" ADD CONSTRAINT "RVTRACE_NETWORK_TS__RVTRACE_N" FOREIGN KEY
	("RVTRACE_NETWORK_MRV_ID")
	REFERENCES "RVTRACE_NETWORK_MRV"
	("ID");

ALTER TABLE "RVTRACE_PTP_MRV" ADD CONSTRAINT "RVTRACE_PTP_MRV__RVTRACE_NETW" FOREIGN KEY
	("RVTRACE_NETWORK_MRV_ID")
	REFERENCES "RVTRACE_NETWORK_MRV"
	("ID");

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "RVTRACE_PTP_TS__EXECUTION__FK" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "RVTRACE_PTP_TS" ADD CONSTRAINT "RVTRACE_PTP_TS__RVTRACE_PTP_M" FOREIGN KEY
	("RVTRACE_PTP_MRV_ID")
	REFERENCES "RVTRACE_PTP_MRV"
	("ID");

ALTER TABLE "RVTRACE_RETRANS_MRV" ADD CONSTRAINT "RVTRACE_RETRANS_MRV__RVTRACE_" FOREIGN KEY
	("RVTRACE_NETWORK_MRV_ID")
	REFERENCES "RVTRACE_NETWORK_MRV"
	("ID");

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "RVTRACE_RETRANS_TS__EXECUTION" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "RVTRACE_RETRANS_TS" ADD CONSTRAINT "RVTRACE_RETRANS_TS__RVTRACE_R" FOREIGN KEY
	("RVTRACE_RETRANS_MRV_ID")
	REFERENCES "RVTRACE_RETRANS_MRV"
	("ID");

ALTER TABLE "RVTRACE_SUBJECT_MRV" ADD CONSTRAINT "RVTRACE_SUBJECT_MRV__RVTRACE_" FOREIGN KEY
	("RVTRACE_NETWORK_MRV_ID")
	REFERENCES "RVTRACE_NETWORK_MRV"
	("ID");

ALTER TABLE "RVTRACE_SUBJECT_TS" ADD CONSTRAINT "RVTRACE_SUBJECT_TS__EXECUTION" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "RVTRACE_SUBJECT_TS" ADD CONSTRAINT "RVTRACE_SUBJECT_TS__RVTRACE_S" FOREIGN KEY
	("RVTRACE_SUBJECT_MRV_ID")
	REFERENCES "RVTRACE_SUBJECT_MRV"
	("ID");

ALTER TABLE "SCENARIO" ADD CONSTRAINT "SCENARIO__APPMODELITEM__FK1" FOREIGN KEY
	("APPMODELITEM_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SCENARIO_EXECUTION" ADD CONSTRAINT "SCENARIO_EXECUTION__EXECUTION" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SCENARIO_EXECUTION" ADD CONSTRAINT "SCENARIO_EXECUTION__SCENARIO_" FOREIGN KEY
	("SCENARIO_ID")
	REFERENCES "SCENARIO"
	("ID");

ALTER TABLE "SONIC_AGENT_TS" ADD CONSTRAINT "SONIC_AGENT_TS__EXECUTION__FK" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SONIC_AGENT_TS" ADD CONSTRAINT "SONIC_AGENT_TS__SONIC_AGENT_M" FOREIGN KEY
	("SONIC_AGENT_MRV_ID")
	REFERENCES "SONIC_AGENT_MRV"
	("ID");

ALTER TABLE "SONIC_BROKER_MRV" ADD CONSTRAINT "SONIC_BROKER_MRV__SONIC_AGENT" FOREIGN KEY
	("SONIC_AGENT_MRV_ID")
	REFERENCES "SONIC_AGENT_MRV"
	("ID");

ALTER TABLE "SONIC_BROKER_TS" ADD CONSTRAINT "SONIC_BROKER_TS__EXECUTION__F" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SONIC_BROKER_TS" ADD CONSTRAINT "SONIC_BROKER_TS__SONIC_BROKER" FOREIGN KEY
	("SONIC_BROKER_MRV_ID")
	REFERENCES "SONIC_BROKER_MRV"
	("ID");

ALTER TABLE "SONIC_CONNS_MRV" ADD CONSTRAINT "SONIC_CONNS_MRV__SONIC_AGENT_" FOREIGN KEY
	("SONIC_AGENT_MRV_ID")
	REFERENCES "SONIC_AGENT_MRV"
	("ID");

ALTER TABLE "SONIC_CONNS_TS" ADD CONSTRAINT "SONIC_CONNS_TS__EXECUTION__FK" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SONIC_CONNS_TS" ADD CONSTRAINT "SONIC_CONNS_TS__SONIC_CONNS_M" FOREIGN KEY
	("SONIC_CONNS_MRV_ID")
	REFERENCES "SONIC_CONNS_MRV"
	("ID");

ALTER TABLE "SONIC_QUEUE_MRV" ADD CONSTRAINT "SONIC_QUEUE_MRV__SONIC_AGENT_" FOREIGN KEY
	("SONIC_AGENT_MRV_ID")
	REFERENCES "SONIC_AGENT_MRV"
	("ID");

ALTER TABLE "SONIC_QUEUE_TS" ADD CONSTRAINT "SONIC_QUEUE_TS__EXECUTION__FK" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SONIC_QUEUE_TS" ADD CONSTRAINT "SONIC_QUEUE_TS__SONIC_AGENT_M" FOREIGN KEY
	("SONIC_QUEUE_MRV_ID")
	REFERENCES "SONIC_QUEUE_MRV"
	("ID");

ALTER TABLE "SUITE_EXECUTION" ADD CONSTRAINT "SUITE_EXECUTION__ACTION_EXECU" FOREIGN KEY
	("ACTION_EXECUTION_ID")
	REFERENCES "ACTION_EXECUTION"
	("ID");

ALTER TABLE "SUITE_EXECUTION" ADD CONSTRAINT "SUITE_EXECUTION__APPMODELITEM" FOREIGN KEY
	("APPMODELITEM_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SUITE_EXECUTION" ADD CONSTRAINT "SUITE_EXECUTION__EXECUTION__F" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SYSSTAT_PROC_STATS_MRV" ADD CONSTRAINT "SYSSTAT_PROC_STATS_MRV__SYSST" FOREIGN KEY
	("SYSSTAT_SYS_STATS_MRV_ID")
	REFERENCES "SYSSTAT_SYS_STATS_MRV"
	("ID");

ALTER TABLE "SYSSTAT_PROC_STATS_TS" ADD CONSTRAINT "SYSSTAT_PROC_STATS_TS__EXECUT" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SYSSTAT_PROC_STATS_TS" ADD CONSTRAINT "SYSSTAT_PROC_STATS_TS__SYSSTA" FOREIGN KEY
	("SYSSTAT_PROC_STATS_MRV_ID")
	REFERENCES "SYSSTAT_PROC_STATS_MRV"
	("ID");

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYSSTAT_SYS_STATS_TS__EXECUTI" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "SYSSTAT_SYS_STATS_TS" ADD CONSTRAINT "SYSSTAT_SYS_STATS_TS__SYSSTAT" FOREIGN KEY
	("SYSSTAT_SYS_STATS_MRV_ID")
	REFERENCES "SYSSTAT_SYS_STATS_MRV"
	("ID");

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "TESTENGINE_ENGINE_TS__EXECUTI" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTENGINE_ENGINE_TS" ADD CONSTRAINT "TESTENGINE_ENGINE_TS__TESTENG" FOREIGN KEY
	("TESTENGINE_ENGINE_MRV_ID")
	REFERENCES "TESTENGINE_ENGINE_MRV"
	("ID");

ALTER TABLE "TESTENGINE_SEQ_MRV" ADD CONSTRAINT "TESTENGINE_SEQ_MRV__TESTENGIN" FOREIGN KEY
	("TESTENGINE_ENGINE_MRV_ID")
	REFERENCES "TESTENGINE_ENGINE_MRV"
	("ID");

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "TESTENGINE_SEQ_TS__EXECUTION_" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTENGINE_SEQ_TS" ADD CONSTRAINT "TESTENGINE_SEQ_TS__TESTENGINE" FOREIGN KEY
	("TESTENGINE_SEQ_MRV_ID")
	REFERENCES "TESTENGINE_SEQ_MRV"
	("ID");

ALTER TABLE "TESTENGINE_TRANS_MRV" ADD CONSTRAINT "TESTENGINE_TRANS_MRV__TESTENG" FOREIGN KEY
	("TESTENGINE_ENGINE_MRV_ID")
	REFERENCES "TESTENGINE_ENGINE_MRV"
	("ID");

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "TESTENGINE_TRANS_TS__EXECUTIO" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTENGINE_TRANS_TS" ADD CONSTRAINT "TESTENGINE_TRANS_TS__TESTENGI" FOREIGN KEY
	("TESTENGINE_TRANS_MRV_ID")
	REFERENCES "TESTENGINE_TRANS_MRV"
	("ID");

ALTER TABLE "TESTER_SEQ_END_MRV" ADD CONSTRAINT "TESTER_SEQ_END_MRV__APPMODELI" FOREIGN KEY
	("APPMODELITEM_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "TESTER_SEQ_END_TS__EXECUTION_" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_SEQ_END_TS" ADD CONSTRAINT "TESTER_SEQ_END_TS__TESTER_SEQ" FOREIGN KEY
	("TESTER_SEQ_END_MRV_ID")
	REFERENCES "TESTER_SEQ_END_MRV"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_SEQ_MRV" ADD CONSTRAINT "TESTER_SEQ_MRV__APPMODELITEM_" FOREIGN KEY
	("APPMODELITEM_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "TESTER_SEQ_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_SEQ_TS" ADD CONSTRAINT "TESTER_SEQ_TS__TESTER_SEQ_MRV" FOREIGN KEY
	("TESTER_SEQ_MRV_ID")
	REFERENCES "TESTER_SEQ_MRV"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_TRANS_END_MRV" ADD CONSTRAINT "TESTER_TRANS_END_MRV__APPMODE" FOREIGN KEY
	("APPMODELITEM_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "TESTER_TRANS_END_TS__EXECUTIO" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_TRANS_END_TS" ADD CONSTRAINT "TESTER_TRANS_END_TS__TESTER_T" FOREIGN KEY
	("TESTER_TRANS_END_MRV_ID")
	REFERENCES "TESTER_TRANS_END_MRV"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_TRANS_MRV" ADD CONSTRAINT "TESTER_TRANS_MRV__APPMODELITE" FOREIGN KEY
	("APPMODELITEM_ID")
	REFERENCES "APPMODELITEM"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "TESTER_TRANS_TS__EXECUTION__F" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TESTER_TRANS_TS" ADD CONSTRAINT "TESTER_TRANS_TS__TESTER_TRANS" FOREIGN KEY
	("TESTER_TRANS_MRV_ID")
	REFERENCES "TESTER_TRANS_MRV"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TEST_CYCLE" ADD CONSTRAINT "TEST_CYCLE__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID");

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "TEST_CYCLE_PROJECT__PROJECT__" FOREIGN KEY
	("PROJECT_ID")
	REFERENCES "PROJECT"
	("ID");

ALTER TABLE "TEST_CYCLE_PROJECT" ADD CONSTRAINT "TEST_CYCLE_PROJECT__TEST_CYCL" FOREIGN KEY
	("TEST_CYCLE_ID")
	REFERENCES "TEST_CYCLE"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TEST_CYCLE_PROJECT_ENV" ADD CONSTRAINT "TEST_CYCLE_PROJECT_ENV__TEST_" FOREIGN KEY
	("TEST_CYCLE_PROJECT_ID")
	REFERENCES "TEST_CYCLE_PROJECT"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TEST_CYCLE_PROJECT_USER" ADD CONSTRAINT "TEST_CYCLE_PROJECT_USER__TEST" FOREIGN KEY
	("TEST_CYCLE_PROJECT_ID")
	REFERENCES "TEST_CYCLE_PROJECT"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TRANS_HISTORY" ADD CONSTRAINT "TRANS_HISTORY__ITER_HISTORY__" FOREIGN KEY
	("ITER_HIST_ID")
	REFERENCES "ITER_HISTORY"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "TRANS_HISTORY" ADD CONSTRAINT "TRANS_HISTORY__TRANSACTION__F" FOREIGN KEY
	("TRANS_ID")
	REFERENCES "TRANSACTION"
	("ID");

ALTER TABLE "WMBROKER_B_TS" ADD CONSTRAINT "WMBROKER_B_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "WMBROKER_B_TS" ADD CONSTRAINT "WMBROKER_B_TS__WMBROKER_B_MRV" FOREIGN KEY
	("WMBROKER_B_MRV_ID")
	REFERENCES "WMBROKER_B_MRV"
	("ID");

ALTER TABLE "WMBROKER_CG_MRV" ADD CONSTRAINT "WMBROKER_CG_MRV__WMBROKER_B_M" FOREIGN KEY
	("WMBROKER_B_MRV_ID")
	REFERENCES "WMBROKER_B_MRV"
	("ID");

ALTER TABLE "WMBROKER_CG_TS" ADD CONSTRAINT "WMBROKER_CG_TS__EXECUTION__FK" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "WMBROKER_CG_TS" ADD CONSTRAINT "WMBROKER_CG_TS__WMBROKER_CG_M" FOREIGN KEY
	("WMBROKER_CG_MRV_ID")
	REFERENCES "WMBROKER_CG_MRV"
	("ID");

ALTER TABLE "WMBROKER_C_MRV" ADD CONSTRAINT "WMBROKER_C_MRV__WMBROKER_B_MR" FOREIGN KEY
	("WMBROKER_B_MRV_ID")
	REFERENCES "WMBROKER_B_MRV"
	("ID");

ALTER TABLE "WMBROKER_C_TS" ADD CONSTRAINT "WMBROKER_C_TS__EXECUTION__FK1" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "WMBROKER_C_TS" ADD CONSTRAINT "WMBROKER_C_TS__WMBROKER_C_MRV" FOREIGN KEY
	("WMBROKER_C_MRV_ID")
	REFERENCES "WMBROKER_C_MRV"
	("ID");

ALTER TABLE "WMBROKER_ET_MRV" ADD CONSTRAINT "WMBROKER_ET_MRV__WMBROKER_B_M" FOREIGN KEY
	("WMBROKER_B_MRV_ID")
	REFERENCES "WMBROKER_B_MRV"
	("ID");

ALTER TABLE "WMBROKER_ET_TS" ADD CONSTRAINT "WMBROKER_ET_TS__EXECUTION__FK" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "WMBROKER_ET_TS" ADD CONSTRAINT "WMBROKER_ET_TS__WMBROKER_B_MR" FOREIGN KEY
	("WMBROKER_ET_MRV_ID")
	REFERENCES "WMBROKER_ET_MRV"
	("ID");

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "WMIS_SERVER_TS__EXECUTION__FK" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "WMIS_SERVER_TS" ADD CONSTRAINT "WMIS_SERVER_TS__WMIS_SERVER_M" FOREIGN KEY
	("WMIS_SERVER_MRV_ID")
	REFERENCES "WMIS_SERVER_MRV"
	("ID");

ALTER TABLE "WMIS_SERVICE_MRV" ADD CONSTRAINT "WMIS_SERVICE_MRV__WMIS_SERVER" FOREIGN KEY
	("WMIS_SERVER_MRV_ID")
	REFERENCES "WMIS_SERVER_MRV"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "WMIS_SERVICE_TS" ADD CONSTRAINT "WMIS_SERVICE_TS__EXECUTION__F" FOREIGN KEY
	("EXECUTION_ID")
	REFERENCES "EXECUTION"
	("ID")
	ON DELETE CASCADE;

ALTER TABLE "WMIS_SERVICE_TS" ADD CONSTRAINT "WMIS_SERVICE_TS__WMIS_SERVICE" FOREIGN KEY
	("WMIS_SERVICE_MRV_ID")
	REFERENCES "WMIS_SERVICE_MRV"
	("ID");

CREATE OR REPLACE VIEW "SCENARIO_EXECUTIONS" ("EXECUTION_ID", "LABEL", "LOCKBY", "LOCKDATE", "NOTES_PK", "PROJECT_PK", "SUITE_PK", "SUITE_ID", "SUITE_NAME", "SCENARIO_NAME", "SCENARIO_ID", "START_TIME", "END_TIME", "STATUS", "EXPIRES", "ROOT_EXEC_ID") AS
	SELECT sce.EXECUTION_ID,
           l.LABEL,
           u.USERNAME,
           u.TIME,
           n.EXECUTION_ID,
           t.PROJECT_ID,
           t.ID,
           t.UNIQUEID,
           t.DISPLAY,
           s.DISPLAY,
           s.UNIQUEID,
           e.START_TIME,
           e.END_TIME,
           (SELECT DISPLAY
            FROM STATUS
            WHERE ID = e.STATUS_ID),
           t.EXPIRATION,
           e.ROOT_ID
    FROM SCENARIO s,
         SCENARIO_EXECUTION sce,
         EXECUTION e LEFT OUTER JOIN 
		 EXECUTION_LABEL l ON e.ID = l.EXECUTION_ID LEFT OUTER JOIN 
         (SELECT sue.EXECUTION_ID,
                 app.ID,
                 app.UNIQUEID,
                 app.DISPLAY,
                 app.PROJECT_ID,
                 sue.EXPIRATION
          FROM SUITE_EXECUTION sue,
               APPMODELITEM app
          WHERE sue.APPMODELITEM_ID = app.ID) t ON e.ID = t.EXECUTION_ID LEFT OUTER JOIN 
		 (SELECT el.EXECUTION_ID,
		         p.USERNAME,
				 el.TIME
		  FROM EXECUTION_LOCK el,
			   PERSON p
		  WHERE el.PERSON_ID = p.ID) u ON e.ID = u.EXECUTION_ID LEFT OUTER JOIN 
		 EXECUTION_NOTE n ON e.ID = n.EXECUTION_ID
    WHERE e.ID = sce.EXECUTION_ID
      AND sce.SCENARIO_ID = s.ID;

CREATE OR REPLACE VIEW "TESTER_PERF_MRV" ("ID", "NAME", "GUID", "TIME") AS
	SELECT a.ID,
           a.DISPLAY,
           p.UNIQUEID AS guid,
           0 AS time
    FROM APPMODELITEM a,
         PROJECT p
    WHERE a.PROJECT_ID = p.ID;

--#SET TERMINATOR @	
	
CREATE OR REPLACE PROCEDURE INSERT_FLEX_COL (OUT p_PK FLOAT, 
						   IN p_METHOD FLOAT, 
						   IN p_DATA VARCHAR(255) )
LANGUAGE SQL

BEGIN
    
    DECLARE EXIT HANDLER FOR SQLSTATE '23505'
        BEGIN
            SELECT PK
            INTO p_PK
            FROM FLEX_COL
            WHERE p_METHOD = METHOD
              AND p_DATA = DATA;
        END;
    
    INSERT INTO FLEX_COL (METHOD,DATA) 
        VALUES (p_METHOD, p_DATA);
        
    SET p_PK = IDENTITY_VAL_LOCAL();
END
@
CREATE OR REPLACE PROCEDURE INSERT_FLEX_DOUBLE (OUT p_PK FLOAT, 
						      IN p_ROW FLOAT, 
						      IN p_EVENT FLOAT, 
						      IN p_DATA DOUBLE )
LANGUAGE SQL

BEGIN
	
    INSERT INTO FLEX_DOUBLE (ROW_, EVENT,DATA) 
        VALUES (p_ROW, p_EVENT, p_DATA);

    SET p_PK = IDENTITY_VAL_LOCAL();
END
@
CREATE OR REPLACE PROCEDURE INSERT_FLEX_EVENT (OUT p_PK FLOAT, 
						     IN p_TIME DECIMAL(19,0), 
						     IN p_INSTANCE FLOAT )
LANGUAGE SQL

BEGIN
    
    INSERT INTO FLEX_EVENT (MILLIS_1970_UTC, INSTANCE) 
        VALUES (p_TIME, p_INSTANCE);

    SET p_PK = IDENTITY_VAL_LOCAL();
END
@
CREATE OR REPLACE PROCEDURE INSERT_FLEX_LONG (OUT p_PK FLOAT, 
						    IN p_ROW FLOAT, 
						    IN p_EVENT FLOAT, 
						    IN p_DATA DECIMAL(19,0) )
LANGUAGE SQL

BEGIN

    INSERT INTO FLEX_LONG (ROW_, EVENT, DATA) 
        VALUES (p_ROW, p_EVENT, p_DATA);

    SET p_PK = IDENTITY_VAL_LOCAL();
END
@
CREATE OR REPLACE PROCEDURE INSERT_FLEX_METHOD (OUT p_PK FLOAT, 
						      IN p_TYPE FLOAT, 
						      IN p_DATA VARCHAR(255) )
LANGUAGE SQL

BEGIN
    
    DECLARE EXIT HANDLER FOR SQLSTATE '23505'
        BEGIN
            SELECT PK
            INTO p_PK
            FROM FLEX_METHOD
            WHERE p_TYPE = TYPE
              AND p_DATA = DATA;
        END;
    
    INSERT INTO FLEX_METHOD (TYPE, DATA) 
        VALUES (p_TYPE, p_DATA);

    SET p_PK = IDENTITY_VAL_LOCAL();
END
@
CREATE OR REPLACE PROCEDURE INSERT_FLEX_ROW (OUT p_PK FLOAT, 
						   IN p_COL FLOAT, 
						   IN p_DATA VARCHAR(255) )
LANGUAGE SQL

BEGIN
    
    DECLARE EXIT HANDLER FOR SQLSTATE '23505'
        BEGIN
            SELECT PK
            INTO p_PK
            FROM FLEX_ROW
            WHERE p_COL = COL
              AND p_DATA = DATA;
        END;
    
    INSERT INTO FLEX_ROW (COL, DATA) 
        VALUES (p_COL, p_DATA);

    SET p_PK = IDENTITY_VAL_LOCAL();
END
@
CREATE OR REPLACE PROCEDURE INSERT_FLEX_TYPE (OUT p_PK FLOAT, 
						    IN p_DATA VARCHAR(255) )
LANGUAGE SQL

BEGIN
    
    DECLARE EXIT HANDLER FOR SQLSTATE '23505'
        BEGIN
	    SELECT PK
	    INTO p_PK
	    FROM FLEX_TYPE
	    WHERE p_DATA = DATA;
        END;
    
    INSERT INTO FLEX_TYPE (DATA) 
        VALUES (p_DATA);

    SET p_PK = IDENTITY_VAL_LOCAL();
END
@

--#SET TERMINATOR @	

CREATE OR REPLACE PROCEDURE INSERT_PROJECT ( OUT p_ID anchor DATA TYPE TO PROJECT.ID,   
                            IN p_UNIQUEID anchor DATA TYPE TO PROJECT.UNIQUEID,
                            IN p_NAME     anchor DATA TYPE TO PROJECT.NAME )
LANGUAGE SQL

BEGIN ATOMIC

   INSERT INTO PROJECT(uniqueid, name) 
                     VALUES(p_UNIQUEID, p_NAME);

   SET p_ID = IDENTITY_VAL_LOCAL();
END       
@

INSERT INTO db_details VALUES(current timestamp, 'schema.version.number', '1.9.24.d')
@


